/* UrlEntry.c generated by valac 0.46.0, the Vala compiler
 * generated from UrlEntry.vala, do not modify */

/*
* Copyright © 2019 Cassidy James Blaede (https://cassidyjames.com)
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public
* License as published by the Free Software Foundation; either
* version 2 of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* You should have received a copy of the GNU General Public
* License along with this program; if not, write to the
* Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
* Boston, MA 02110-1301 USA
*
* Authored by: Cassidy James Blaede <c@ssidyjam.es>
*              Hannes Schulze <haschu0103@gmail.com>
*/

#include <dazzle.h>
#include <glib-object.h>
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <webkit2/webkit2.h>
#include <gtk/gtk.h>
#include <glib/gi18n-lib.h>
#include <granite.h>
#include <libsoup/soup.h>
#include <gdk/gdk.h>

#define EPHEMERAL_TYPE_URL_ENTRY (ephemeral_url_entry_get_type ())
#define EPHEMERAL_URL_ENTRY(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), EPHEMERAL_TYPE_URL_ENTRY, EphemeralUrlEntry))
#define EPHEMERAL_URL_ENTRY_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), EPHEMERAL_TYPE_URL_ENTRY, EphemeralUrlEntryClass))
#define EPHEMERAL_IS_URL_ENTRY(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), EPHEMERAL_TYPE_URL_ENTRY))
#define EPHEMERAL_IS_URL_ENTRY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), EPHEMERAL_TYPE_URL_ENTRY))
#define EPHEMERAL_URL_ENTRY_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), EPHEMERAL_TYPE_URL_ENTRY, EphemeralUrlEntryClass))

typedef struct _EphemeralUrlEntry EphemeralUrlEntry;
typedef struct _EphemeralUrlEntryClass EphemeralUrlEntryClass;
typedef struct _EphemeralUrlEntryPrivate EphemeralUrlEntryPrivate;

#define EPHEMERAL_TYPE_WEB_VIEW (ephemeral_web_view_get_type ())
#define EPHEMERAL_WEB_VIEW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), EPHEMERAL_TYPE_WEB_VIEW, EphemeralWebView))
#define EPHEMERAL_WEB_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), EPHEMERAL_TYPE_WEB_VIEW, EphemeralWebViewClass))
#define EPHEMERAL_IS_WEB_VIEW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), EPHEMERAL_TYPE_WEB_VIEW))
#define EPHEMERAL_IS_WEB_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), EPHEMERAL_TYPE_WEB_VIEW))
#define EPHEMERAL_WEB_VIEW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), EPHEMERAL_TYPE_WEB_VIEW, EphemeralWebViewClass))

typedef struct _EphemeralWebView EphemeralWebView;
typedef struct _EphemeralWebViewClass EphemeralWebViewClass;
enum  {
	EPHEMERAL_URL_ENTRY_0_PROPERTY,
	EPHEMERAL_URL_ENTRY_WEB_VIEW_PROPERTY,
	EPHEMERAL_URL_ENTRY_NUM_PROPERTIES
};
static GParamSpec* ephemeral_url_entry_properties[EPHEMERAL_URL_ENTRY_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define __vala_SoupURI_free0(var) ((var == NULL) ? NULL : (var = (_vala_SoupURI_free (var), NULL)))
typedef struct _Block16Data Block16Data;

struct _EphemeralUrlEntry {
	DzlSuggestionEntry parent_instance;
	EphemeralUrlEntryPrivate * priv;
};

struct _EphemeralUrlEntryClass {
	DzlSuggestionEntryClass parent_class;
};

struct _EphemeralUrlEntryPrivate {
	GListStore* _list_store;
	gchar* _last_text;
	EphemeralWebView* _web_view;
};

struct _Block16Data {
	int _ref_count_;
	EphemeralUrlEntry* self;
	gchar* tooltip_text;
	gulong changed_event;
};

static gint EphemeralUrlEntry_private_offset;
static gpointer ephemeral_url_entry_parent_class = NULL;
extern GSettings* ephemeral_application_settings;

GType ephemeral_url_entry_get_type (void) G_GNUC_CONST;
G_DEFINE_AUTOPTR_CLEANUP_FUNC (EphemeralUrlEntry, g_object_unref)
GType ephemeral_web_view_get_type (void) G_GNUC_CONST;
G_DEFINE_AUTOPTR_CLEANUP_FUNC (EphemeralWebView, g_object_unref)
EphemeralUrlEntry* ephemeral_url_entry_new (EphemeralWebView* _web_view);
EphemeralUrlEntry* ephemeral_url_entry_construct (GType object_type,
                                                  EphemeralWebView* _web_view);
static gboolean ephemeral_url_entry_format_url (EphemeralUrlEntry* self,
                                         const gchar* input,
                                         gchar* * formatted_url);
static void ephemeral_url_entry_filter_suggestions (EphemeralUrlEntry* self,
                                             const gchar* search,
                                             gboolean is_empty);
static GListStore* ephemeral_url_entry_get_list_store (EphemeralUrlEntry* self);
static void _vala_array_add1 (DzlSuggestion** * array,
                       int* length,
                       int* size,
                       DzlSuggestion* value);
static void ephemeral_url_entry_add_suggestion (EphemeralUrlEntry* self,
                                         const gchar* domain,
                                         const gchar* name,
                                         const gchar* reason,
                                         const gchar* icon);
static void ephemeral_url_entry_reset_suggestions (EphemeralUrlEntry* self,
                                            gchar** favorites,
                                            gint favorites_length1);
static void ephemeral_url_entry_set_list_store (EphemeralUrlEntry* self,
                                         GListStore* value);
static void ephemeral_url_entry_set_secondary_icon (EphemeralUrlEntry* self);
EphemeralWebView* ephemeral_url_entry_get_web_view (EphemeralUrlEntry* self);
static gboolean _vala_string_array_contains (gchar* * stack,
                                      int stack_length,
                                      const gchar* needle);
static void _vala_SoupURI_free (SoupURI* self);
static const gchar* ephemeral_url_entry_get_last_text (EphemeralUrlEntry* self);
static void ephemeral_url_entry_set_last_text (EphemeralUrlEntry* self,
                                        const gchar* value);
void ephemeral_url_entry_set_web_view (EphemeralUrlEntry* self,
                                       EphemeralWebView* value);
static GObject * ephemeral_url_entry_constructor (GType type,
                                           guint n_construct_properties,
                                           GObjectConstructParam * construct_properties);
static Block16Data* block16_data_ref (Block16Data* _data16_);
static void block16_data_unref (void * _userdata_);
static void _ephemeral_url_entry___lambda11_ (Block16Data* _data16_);
static void __ephemeral_url_entry___lambda11__gtk_editable_changed (GtkEditable* _sender,
                                                             gpointer self);
static void _ephemeral_url_entry___lambda12_ (EphemeralUrlEntry* self);
static void __ephemeral_url_entry___lambda12__gtk_editable_changed (GtkEditable* _sender,
                                                             gpointer self);
static void _ephemeral_url_entry___lambda13_ (EphemeralUrlEntry* self);
static void __ephemeral_url_entry___lambda13__dzl_suggestion_entry_activate_suggestion (DzlSuggestionEntry* _sender,
                                                                                 gpointer self);
static void _ephemeral_url_entry___lambda14_ (EphemeralUrlEntry* self);
static void __ephemeral_url_entry___lambda14__dzl_suggestion_entry_suggestion_activated (DzlSuggestionEntry* _sender,
                                                                                  DzlSuggestion* suggestion,
                                                                                  gpointer self);
static void _ephemeral_url_entry___lambda15_ (Block16Data* _data16_,
                                       gint amount);
static void __ephemeral_url_entry___lambda15__dzl_suggestion_entry_move_suggestion (DzlSuggestionEntry* _sender,
                                                                             gint amount,
                                                                             gpointer self);
static gboolean _ephemeral_url_entry___lambda16_ (EphemeralUrlEntry* self,
                                           GdkEventFocus* event);
static gboolean __ephemeral_url_entry___lambda16__gtk_widget_focus_in_event (GtkWidget* _sender,
                                                                      GdkEventFocus* event,
                                                                      gpointer self);
static gboolean _ephemeral_url_entry___lambda17_ (EphemeralUrlEntry* self,
                                           GdkEventFocus* event);
static gboolean __ephemeral_url_entry___lambda17__gtk_widget_focus_out_event (GtkWidget* _sender,
                                                                       GdkEventFocus* event,
                                                                       gpointer self);
static void _ephemeral_url_entry___lambda18_ (EphemeralUrlEntry* self,
                                       GtkEntryIconPosition icon_pos,
                                       GdkEventButton* event);
static void _vala_array_add2 (gchar** * array,
                       int* length,
                       int* size,
                       gchar* value);
static gchar** _vala_array_dup1 (gchar** self,
                          int length);
static void _vala_array_add3 (gchar** * array,
                       int* length,
                       int* size,
                       gchar* value);
static void __ephemeral_url_entry___lambda18__gtk_entry_icon_release (GtkEntry* _sender,
                                                               GtkEntryIconPosition icon_pos,
                                                               GdkEventButton* event,
                                                               gpointer self);
static void _ephemeral_url_entry___lambda19_ (Block16Data* _data16_,
                                       WebKitWebView* source,
                                       WebKitLoadEvent e);
static void __ephemeral_url_entry___lambda19__webkit_web_view_load_changed (WebKitWebView* _sender,
                                                                     WebKitLoadEvent load_event,
                                                                     gpointer self);
static void ephemeral_url_entry_finalize (GObject * obj);
static void _vala_ephemeral_url_entry_get_property (GObject * object,
                                             guint property_id,
                                             GValue * value,
                                             GParamSpec * pspec);
static void _vala_ephemeral_url_entry_set_property (GObject * object,
                                             guint property_id,
                                             const GValue * value,
                                             GParamSpec * pspec);
static void _vala_array_destroy (gpointer array,
                          gint array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gint array_length,
                       GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);

static inline gpointer
ephemeral_url_entry_get_instance_private (EphemeralUrlEntry* self)
{
	return G_STRUCT_MEMBER_P (self, EphemeralUrlEntry_private_offset);
}

EphemeralUrlEntry*
ephemeral_url_entry_construct (GType object_type,
                               EphemeralWebView* _web_view)
{
	EphemeralUrlEntry * self = NULL;
#line 29 "../src/Widgets/UrlEntry.vala"
	g_return_val_if_fail (_web_view != NULL, NULL);
#line 30 "../src/Widgets/UrlEntry.vala"
	self = (EphemeralUrlEntry*) g_object_new (object_type, "hexpand", TRUE, "web-view", _web_view, "width-request", 100, NULL);
#line 29 "../src/Widgets/UrlEntry.vala"
	return self;
#line 226 "UrlEntry.c"
}

EphemeralUrlEntry*
ephemeral_url_entry_new (EphemeralWebView* _web_view)
{
#line 29 "../src/Widgets/UrlEntry.vala"
	return ephemeral_url_entry_construct (EPHEMERAL_TYPE_URL_ENTRY, _web_view);
#line 234 "UrlEntry.c"
}

static gboolean
string_contains (const gchar* self,
                 const gchar* needle)
{
	gchar* _tmp0_;
	gboolean result = FALSE;
#line 1476 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1476 "glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1477 "glib-2.0.vapi"
	_tmp0_ = strstr ((gchar*) self, (gchar*) needle);
#line 1477 "glib-2.0.vapi"
	result = _tmp0_ != NULL;
#line 1477 "glib-2.0.vapi"
	return result;
#line 253 "UrlEntry.c"
}

static gboolean
ephemeral_url_entry_format_url (EphemeralUrlEntry* self,
                                const gchar* input,
                                gchar* * formatted_url)
{
	gchar* _vala_formatted_url = NULL;
	gchar* search_engine = NULL;
	GSettings* _tmp0_;
	gchar* _tmp1_;
	gboolean result = FALSE;
#line 179 "../src/Widgets/UrlEntry.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 179 "../src/Widgets/UrlEntry.vala"
	g_return_val_if_fail (input != NULL, FALSE);
#line 180 "../src/Widgets/UrlEntry.vala"
	_tmp0_ = ephemeral_application_settings;
#line 180 "../src/Widgets/UrlEntry.vala"
	_tmp1_ = g_settings_get_string (_tmp0_, "search-engine");
#line 180 "../src/Widgets/UrlEntry.vala"
	search_engine = _tmp1_;
#line 183 "../src/Widgets/UrlEntry.vala"
	if (!string_contains (input, "://")) {
#line 278 "UrlEntry.c"
		gboolean _tmp2_ = FALSE;
#line 184 "../src/Widgets/UrlEntry.vala"
		if (string_contains (input, ".")) {
#line 184 "../src/Widgets/UrlEntry.vala"
			_tmp2_ = !string_contains (input, " ");
#line 284 "UrlEntry.c"
		} else {
#line 184 "../src/Widgets/UrlEntry.vala"
			_tmp2_ = FALSE;
#line 288 "UrlEntry.c"
		}
#line 184 "../src/Widgets/UrlEntry.vala"
		if (_tmp2_) {
#line 292 "UrlEntry.c"
			const gchar* _tmp3_;
			const gchar* _tmp4_;
			gchar* _tmp5_;
#line 186 "../src/Widgets/UrlEntry.vala"
			_tmp3_ = gtk_entry_get_text ((GtkEntry*) self);
#line 186 "../src/Widgets/UrlEntry.vala"
			_tmp4_ = _tmp3_;
#line 186 "../src/Widgets/UrlEntry.vala"
			_tmp5_ = g_strdup_printf ("%s://%s", "http", _tmp4_);
#line 186 "../src/Widgets/UrlEntry.vala"
			_g_free0 (_vala_formatted_url);
#line 186 "../src/Widgets/UrlEntry.vala"
			_vala_formatted_url = _tmp5_;
#line 187 "../src/Widgets/UrlEntry.vala"
			result = TRUE;
#line 187 "../src/Widgets/UrlEntry.vala"
			_g_free0 (search_engine);
#line 187 "../src/Widgets/UrlEntry.vala"
			if (formatted_url) {
#line 187 "../src/Widgets/UrlEntry.vala"
				*formatted_url = _vala_formatted_url;
#line 314 "UrlEntry.c"
			} else {
#line 187 "../src/Widgets/UrlEntry.vala"
				_g_free0 (_vala_formatted_url);
#line 318 "UrlEntry.c"
			}
#line 187 "../src/Widgets/UrlEntry.vala"
			return result;
#line 322 "UrlEntry.c"
		} else {
			const gchar* _tmp6_;
			const gchar* _tmp7_;
			const gchar* _tmp8_;
			gchar* _tmp9_;
#line 189 "../src/Widgets/UrlEntry.vala"
			_tmp6_ = search_engine;
#line 189 "../src/Widgets/UrlEntry.vala"
			_tmp7_ = gtk_entry_get_text ((GtkEntry*) self);
#line 189 "../src/Widgets/UrlEntry.vala"
			_tmp8_ = _tmp7_;
#line 189 "../src/Widgets/UrlEntry.vala"
			_tmp9_ = g_strdup_printf (_tmp6_, _tmp8_);
#line 189 "../src/Widgets/UrlEntry.vala"
			_g_free0 (_vala_formatted_url);
#line 189 "../src/Widgets/UrlEntry.vala"
			_vala_formatted_url = _tmp9_;
#line 190 "../src/Widgets/UrlEntry.vala"
			result = FALSE;
#line 190 "../src/Widgets/UrlEntry.vala"
			_g_free0 (search_engine);
#line 190 "../src/Widgets/UrlEntry.vala"
			if (formatted_url) {
#line 190 "../src/Widgets/UrlEntry.vala"
				*formatted_url = _vala_formatted_url;
#line 348 "UrlEntry.c"
			} else {
#line 190 "../src/Widgets/UrlEntry.vala"
				_g_free0 (_vala_formatted_url);
#line 352 "UrlEntry.c"
			}
#line 190 "../src/Widgets/UrlEntry.vala"
			return result;
#line 356 "UrlEntry.c"
		}
	} else {
		gchar* _tmp10_;
#line 193 "../src/Widgets/UrlEntry.vala"
		_tmp10_ = g_strdup (input);
#line 193 "../src/Widgets/UrlEntry.vala"
		_g_free0 (_vala_formatted_url);
#line 193 "../src/Widgets/UrlEntry.vala"
		_vala_formatted_url = _tmp10_;
#line 194 "../src/Widgets/UrlEntry.vala"
		result = TRUE;
#line 194 "../src/Widgets/UrlEntry.vala"
		_g_free0 (search_engine);
#line 194 "../src/Widgets/UrlEntry.vala"
		if (formatted_url) {
#line 194 "../src/Widgets/UrlEntry.vala"
			*formatted_url = _vala_formatted_url;
#line 374 "UrlEntry.c"
		} else {
#line 194 "../src/Widgets/UrlEntry.vala"
			_g_free0 (_vala_formatted_url);
#line 378 "UrlEntry.c"
		}
#line 194 "../src/Widgets/UrlEntry.vala"
		return result;
#line 382 "UrlEntry.c"
	}
#line 179 "../src/Widgets/UrlEntry.vala"
	_g_free0 (search_engine);
#line 179 "../src/Widgets/UrlEntry.vala"
	if (formatted_url) {
#line 179 "../src/Widgets/UrlEntry.vala"
		*formatted_url = _vala_formatted_url;
#line 390 "UrlEntry.c"
	} else {
#line 179 "../src/Widgets/UrlEntry.vala"
		_g_free0 (_vala_formatted_url);
#line 394 "UrlEntry.c"
	}
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 217 "../src/Widgets/UrlEntry.vala"
	return self ? g_object_ref (self) : NULL;
#line 403 "UrlEntry.c"
}

static void
_vala_array_add1 (DzlSuggestion** * array,
                  int* length,
                  int* size,
                  DzlSuggestion* value)
{
#line 217 "../src/Widgets/UrlEntry.vala"
	if ((*length) == (*size)) {
#line 217 "../src/Widgets/UrlEntry.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 217 "../src/Widgets/UrlEntry.vala"
		*array = g_renew (DzlSuggestion*, *array, (*size) + 1);
#line 418 "UrlEntry.c"
	}
#line 217 "../src/Widgets/UrlEntry.vala"
	(*array)[(*length)++] = value;
#line 217 "../src/Widgets/UrlEntry.vala"
	(*array)[*length] = NULL;
#line 424 "UrlEntry.c"
}

static void
ephemeral_url_entry_filter_suggestions (EphemeralUrlEntry* self,
                                        const gchar* search,
                                        gboolean is_empty)
{
	GListStore* filtered_list_store = NULL;
	GListStore* _tmp0_;
	DzlSuggestion* current_suggestion = NULL;
	DzlSuggestion* _tmp1_;
	gchar* formatted_url = NULL;
	gboolean is_url = FALSE;
	gchar* _tmp2_ = NULL;
	gboolean _tmp3_;
	DzlSuggestion* _tmp4_;
	const gchar* _tmp5_ = NULL;
	DzlSuggestion* _tmp6_;
	gchar* _tmp7_;
	gchar* _tmp8_;
	gchar* _tmp9_;
	gchar* _tmp10_;
	DzlSuggestion* _tmp11_;
	GListStore* _tmp12_;
	DzlSuggestion* _tmp13_;
	GListStore* _tmp54_;
#line 198 "../src/Widgets/UrlEntry.vala"
	g_return_if_fail (self != NULL);
#line 198 "../src/Widgets/UrlEntry.vala"
	g_return_if_fail (search != NULL);
#line 199 "../src/Widgets/UrlEntry.vala"
	_tmp0_ = g_list_store_new (dzl_suggestion_get_type ());
#line 199 "../src/Widgets/UrlEntry.vala"
	filtered_list_store = _tmp0_;
#line 200 "../src/Widgets/UrlEntry.vala"
	_tmp1_ = dzl_suggestion_new ();
#line 200 "../src/Widgets/UrlEntry.vala"
	current_suggestion = _tmp1_;
#line 202 "../src/Widgets/UrlEntry.vala"
	_tmp3_ = ephemeral_url_entry_format_url (self, search, &_tmp2_);
#line 202 "../src/Widgets/UrlEntry.vala"
	_g_free0 (formatted_url);
#line 202 "../src/Widgets/UrlEntry.vala"
	formatted_url = _tmp2_;
#line 202 "../src/Widgets/UrlEntry.vala"
	is_url = _tmp3_;
#line 203 "../src/Widgets/UrlEntry.vala"
	_tmp4_ = current_suggestion;
#line 203 "../src/Widgets/UrlEntry.vala"
	dzl_suggestion_set_id (_tmp4_, search);
#line 204 "../src/Widgets/UrlEntry.vala"
	if (is_url) {
#line 204 "../src/Widgets/UrlEntry.vala"
		_tmp5_ = _ ("Go to \"%s\"");
#line 479 "UrlEntry.c"
	} else {
#line 204 "../src/Widgets/UrlEntry.vala"
		_tmp5_ = _ ("Search for \"%s\"");
#line 483 "UrlEntry.c"
	}
#line 204 "../src/Widgets/UrlEntry.vala"
	_tmp6_ = current_suggestion;
#line 204 "../src/Widgets/UrlEntry.vala"
	_tmp7_ = g_markup_escape_text (search, (gssize) -1);
#line 204 "../src/Widgets/UrlEntry.vala"
	_tmp8_ = _tmp7_;
#line 204 "../src/Widgets/UrlEntry.vala"
	_tmp9_ = g_strdup_printf (_tmp5_, _tmp8_);
#line 204 "../src/Widgets/UrlEntry.vala"
	_tmp10_ = _tmp9_;
#line 204 "../src/Widgets/UrlEntry.vala"
	dzl_suggestion_set_title (_tmp6_, _tmp10_);
#line 204 "../src/Widgets/UrlEntry.vala"
	_g_free0 (_tmp10_);
#line 204 "../src/Widgets/UrlEntry.vala"
	_g_free0 (_tmp8_);
#line 205 "../src/Widgets/UrlEntry.vala"
	_tmp11_ = current_suggestion;
#line 205 "../src/Widgets/UrlEntry.vala"
	dzl_suggestion_set_icon_name (_tmp11_, "system-search-symbolic");
#line 206 "../src/Widgets/UrlEntry.vala"
	_tmp12_ = filtered_list_store;
#line 206 "../src/Widgets/UrlEntry.vala"
	_tmp13_ = current_suggestion;
#line 206 "../src/Widgets/UrlEntry.vala"
	g_list_store_append (_tmp12_, (GObject*) _tmp13_);
#line 207 "../src/Widgets/UrlEntry.vala"
	if (!is_empty) {
#line 513 "UrlEntry.c"
		DzlSuggestion** secondary_suggestions = NULL;
		DzlSuggestion** _tmp14_;
		gint secondary_suggestions_length1;
		gint _secondary_suggestions_size_;
		DzlSuggestion** _tmp50_;
		gint _tmp50__length1;
#line 208 "../src/Widgets/UrlEntry.vala"
		_tmp14_ = g_new0 (DzlSuggestion*, 0 + 1);
#line 208 "../src/Widgets/UrlEntry.vala"
		secondary_suggestions = _tmp14_;
#line 208 "../src/Widgets/UrlEntry.vala"
		secondary_suggestions_length1 = 0;
#line 208 "../src/Widgets/UrlEntry.vala"
		_secondary_suggestions_size_ = secondary_suggestions_length1;
#line 528 "UrlEntry.c"
		{
			gint i = 0;
#line 209 "../src/Widgets/UrlEntry.vala"
			i = 0;
#line 533 "UrlEntry.c"
			{
				gboolean _tmp15_ = FALSE;
#line 209 "../src/Widgets/UrlEntry.vala"
				_tmp15_ = TRUE;
#line 209 "../src/Widgets/UrlEntry.vala"
				while (TRUE) {
#line 540 "UrlEntry.c"
					GListStore* _tmp17_;
					DzlSuggestion* suggestion = NULL;
					GListStore* _tmp18_;
					GObject* _tmp19_;
					DzlSuggestion* _tmp20_;
					gboolean _tmp21_ = FALSE;
					gchar* _tmp22_;
					gchar* _tmp23_;
					DzlSuggestion* _tmp24_;
					const gchar* _tmp25_;
					const gchar* _tmp26_;
					gboolean _tmp27_;
					gboolean _tmp35_ = FALSE;
					gchar* _tmp36_;
					gchar* _tmp37_;
					DzlSuggestion* _tmp38_;
					const gchar* _tmp39_;
					const gchar* _tmp40_;
					gboolean _tmp41_;
#line 209 "../src/Widgets/UrlEntry.vala"
					if (!_tmp15_) {
#line 562 "UrlEntry.c"
						gint _tmp16_;
#line 209 "../src/Widgets/UrlEntry.vala"
						_tmp16_ = i;
#line 209 "../src/Widgets/UrlEntry.vala"
						i = _tmp16_ + 1;
#line 568 "UrlEntry.c"
					}
#line 209 "../src/Widgets/UrlEntry.vala"
					_tmp15_ = FALSE;
#line 209 "../src/Widgets/UrlEntry.vala"
					_tmp17_ = self->priv->_list_store;
#line 209 "../src/Widgets/UrlEntry.vala"
					if (!(((guint) i) < g_list_model_get_n_items ((GListModel*) _tmp17_))) {
#line 209 "../src/Widgets/UrlEntry.vala"
						break;
#line 578 "UrlEntry.c"
					}
#line 210 "../src/Widgets/UrlEntry.vala"
					_tmp18_ = self->priv->_list_store;
#line 210 "../src/Widgets/UrlEntry.vala"
					_tmp19_ = g_list_model_get_item ((GListModel*) _tmp18_, (guint) i);
#line 210 "../src/Widgets/UrlEntry.vala"
					_tmp20_ = G_TYPE_CHECK_INSTANCE_TYPE (_tmp19_, dzl_suggestion_get_type ()) ? ((DzlSuggestion*) _tmp19_) : NULL;
#line 210 "../src/Widgets/UrlEntry.vala"
					if (_tmp20_ == NULL) {
#line 210 "../src/Widgets/UrlEntry.vala"
						_g_object_unref0 (_tmp19_);
#line 590 "UrlEntry.c"
					}
#line 210 "../src/Widgets/UrlEntry.vala"
					suggestion = _tmp20_;
#line 211 "../src/Widgets/UrlEntry.vala"
					_tmp22_ = g_strdup_printf ("^%s", search);
#line 211 "../src/Widgets/UrlEntry.vala"
					_tmp23_ = _tmp22_;
#line 211 "../src/Widgets/UrlEntry.vala"
					_tmp24_ = suggestion;
#line 211 "../src/Widgets/UrlEntry.vala"
					_tmp25_ = dzl_suggestion_get_id (_tmp24_);
#line 211 "../src/Widgets/UrlEntry.vala"
					_tmp26_ = _tmp25_;
#line 211 "../src/Widgets/UrlEntry.vala"
					_tmp27_ = g_regex_match_simple (_tmp23_, _tmp26_, 0, 0);
#line 211 "../src/Widgets/UrlEntry.vala"
					_g_free0 (_tmp23_);
#line 211 "../src/Widgets/UrlEntry.vala"
					if (_tmp27_) {
#line 211 "../src/Widgets/UrlEntry.vala"
						_tmp21_ = TRUE;
#line 612 "UrlEntry.c"
					} else {
						gchar* _tmp28_;
						gchar* _tmp29_;
						DzlSuggestion* _tmp30_;
						const gchar* _tmp31_;
						const gchar* _tmp32_;
#line 212 "../src/Widgets/UrlEntry.vala"
						_tmp28_ = g_strdup_printf ("^%s", search);
#line 212 "../src/Widgets/UrlEntry.vala"
						_tmp29_ = _tmp28_;
#line 212 "../src/Widgets/UrlEntry.vala"
						_tmp30_ = suggestion;
#line 212 "../src/Widgets/UrlEntry.vala"
						_tmp31_ = dzl_suggestion_get_title (_tmp30_);
#line 212 "../src/Widgets/UrlEntry.vala"
						_tmp32_ = _tmp31_;
#line 212 "../src/Widgets/UrlEntry.vala"
						_tmp21_ = g_regex_match_simple (_tmp29_, _tmp32_, 0, 0);
#line 212 "../src/Widgets/UrlEntry.vala"
						_g_free0 (_tmp29_);
#line 633 "UrlEntry.c"
					}
#line 211 "../src/Widgets/UrlEntry.vala"
					if (_tmp21_) {
#line 637 "UrlEntry.c"
						GListStore* _tmp33_;
						DzlSuggestion* _tmp34_;
#line 213 "../src/Widgets/UrlEntry.vala"
						_tmp33_ = filtered_list_store;
#line 213 "../src/Widgets/UrlEntry.vala"
						_tmp34_ = suggestion;
#line 213 "../src/Widgets/UrlEntry.vala"
						g_list_store_append (_tmp33_, (GObject*) _tmp34_);
#line 646 "UrlEntry.c"
					}
#line 215 "../src/Widgets/UrlEntry.vala"
					_tmp36_ = g_strdup_printf (".%s", search);
#line 215 "../src/Widgets/UrlEntry.vala"
					_tmp37_ = _tmp36_;
#line 215 "../src/Widgets/UrlEntry.vala"
					_tmp38_ = suggestion;
#line 215 "../src/Widgets/UrlEntry.vala"
					_tmp39_ = dzl_suggestion_get_id (_tmp38_);
#line 215 "../src/Widgets/UrlEntry.vala"
					_tmp40_ = _tmp39_;
#line 215 "../src/Widgets/UrlEntry.vala"
					_tmp41_ = g_regex_match_simple (_tmp37_, _tmp40_, 0, 0);
#line 215 "../src/Widgets/UrlEntry.vala"
					_g_free0 (_tmp37_);
#line 215 "../src/Widgets/UrlEntry.vala"
					if (_tmp41_) {
#line 215 "../src/Widgets/UrlEntry.vala"
						_tmp35_ = TRUE;
#line 666 "UrlEntry.c"
					} else {
						gchar* _tmp42_;
						gchar* _tmp43_;
						DzlSuggestion* _tmp44_;
						const gchar* _tmp45_;
						const gchar* _tmp46_;
#line 216 "../src/Widgets/UrlEntry.vala"
						_tmp42_ = g_strdup_printf (".%s", search);
#line 216 "../src/Widgets/UrlEntry.vala"
						_tmp43_ = _tmp42_;
#line 216 "../src/Widgets/UrlEntry.vala"
						_tmp44_ = suggestion;
#line 216 "../src/Widgets/UrlEntry.vala"
						_tmp45_ = dzl_suggestion_get_title (_tmp44_);
#line 216 "../src/Widgets/UrlEntry.vala"
						_tmp46_ = _tmp45_;
#line 216 "../src/Widgets/UrlEntry.vala"
						_tmp35_ = g_regex_match_simple (_tmp43_, _tmp46_, 0, 0);
#line 216 "../src/Widgets/UrlEntry.vala"
						_g_free0 (_tmp43_);
#line 687 "UrlEntry.c"
					}
#line 215 "../src/Widgets/UrlEntry.vala"
					if (_tmp35_) {
#line 691 "UrlEntry.c"
						DzlSuggestion** _tmp47_;
						gint _tmp47__length1;
						DzlSuggestion* _tmp48_;
						DzlSuggestion* _tmp49_;
#line 217 "../src/Widgets/UrlEntry.vala"
						_tmp47_ = secondary_suggestions;
#line 217 "../src/Widgets/UrlEntry.vala"
						_tmp47__length1 = secondary_suggestions_length1;
#line 217 "../src/Widgets/UrlEntry.vala"
						_tmp48_ = suggestion;
#line 217 "../src/Widgets/UrlEntry.vala"
						_tmp49_ = _g_object_ref0 (_tmp48_);
#line 217 "../src/Widgets/UrlEntry.vala"
						_vala_array_add1 (&secondary_suggestions, &secondary_suggestions_length1, &_secondary_suggestions_size_, _tmp49_);
#line 706 "UrlEntry.c"
					}
#line 209 "../src/Widgets/UrlEntry.vala"
					_g_object_unref0 (suggestion);
#line 710 "UrlEntry.c"
				}
			}
		}
#line 220 "../src/Widgets/UrlEntry.vala"
		_tmp50_ = secondary_suggestions;
#line 220 "../src/Widgets/UrlEntry.vala"
		_tmp50__length1 = secondary_suggestions_length1;
#line 718 "UrlEntry.c"
		{
			DzlSuggestion** suggestion_collection = NULL;
			gint suggestion_collection_length1 = 0;
			gint _suggestion_collection_size_ = 0;
			gint suggestion_it = 0;
#line 220 "../src/Widgets/UrlEntry.vala"
			suggestion_collection = _tmp50_;
#line 220 "../src/Widgets/UrlEntry.vala"
			suggestion_collection_length1 = _tmp50__length1;
#line 220 "../src/Widgets/UrlEntry.vala"
			for (suggestion_it = 0; suggestion_it < suggestion_collection_length1; suggestion_it = suggestion_it + 1) {
#line 730 "UrlEntry.c"
				DzlSuggestion* _tmp51_;
				DzlSuggestion* suggestion = NULL;
#line 220 "../src/Widgets/UrlEntry.vala"
				_tmp51_ = _g_object_ref0 (suggestion_collection[suggestion_it]);
#line 220 "../src/Widgets/UrlEntry.vala"
				suggestion = _tmp51_;
#line 737 "UrlEntry.c"
				{
					GListStore* _tmp52_;
					DzlSuggestion* _tmp53_;
#line 221 "../src/Widgets/UrlEntry.vala"
					_tmp52_ = filtered_list_store;
#line 221 "../src/Widgets/UrlEntry.vala"
					_tmp53_ = suggestion;
#line 221 "../src/Widgets/UrlEntry.vala"
					g_list_store_append (_tmp52_, (GObject*) _tmp53_);
#line 220 "../src/Widgets/UrlEntry.vala"
					_g_object_unref0 (suggestion);
#line 749 "UrlEntry.c"
				}
			}
		}
#line 207 "../src/Widgets/UrlEntry.vala"
		secondary_suggestions = (_vala_array_free (secondary_suggestions, secondary_suggestions_length1, (GDestroyNotify) g_object_unref), NULL);
#line 755 "UrlEntry.c"
	}
#line 224 "../src/Widgets/UrlEntry.vala"
	_tmp54_ = filtered_list_store;
#line 224 "../src/Widgets/UrlEntry.vala"
	dzl_suggestion_entry_set_model ((DzlSuggestionEntry*) self, (GListModel*) _tmp54_);
#line 198 "../src/Widgets/UrlEntry.vala"
	_g_free0 (formatted_url);
#line 198 "../src/Widgets/UrlEntry.vala"
	_g_object_unref0 (current_suggestion);
#line 198 "../src/Widgets/UrlEntry.vala"
	_g_object_unref0 (filtered_list_store);
#line 767 "UrlEntry.c"
}

static void
ephemeral_url_entry_add_suggestion (EphemeralUrlEntry* self,
                                    const gchar* domain,
                                    const gchar* name,
                                    const gchar* reason,
                                    const gchar* icon)
{
	DzlSuggestion* suggestion = NULL;
	DzlSuggestion* _tmp0_;
	DzlSuggestion* _tmp1_;
	DzlSuggestion* _tmp2_;
	DzlSuggestion* _tmp3_;
	gchar* description = NULL;
	DzlSuggestion* _tmp6_;
	const gchar* _tmp7_;
	GListStore* _tmp8_;
	DzlSuggestion* _tmp9_;
#line 227 "../src/Widgets/UrlEntry.vala"
	g_return_if_fail (self != NULL);
#line 227 "../src/Widgets/UrlEntry.vala"
	g_return_if_fail (domain != NULL);
#line 233 "../src/Widgets/UrlEntry.vala"
	g_debug ("UrlEntry.vala:233: Adding %s to suggestions…", domain);
#line 235 "../src/Widgets/UrlEntry.vala"
	_tmp0_ = dzl_suggestion_new ();
#line 235 "../src/Widgets/UrlEntry.vala"
	suggestion = _tmp0_;
#line 236 "../src/Widgets/UrlEntry.vala"
	_tmp1_ = suggestion;
#line 236 "../src/Widgets/UrlEntry.vala"
	dzl_suggestion_set_id (_tmp1_, domain);
#line 237 "../src/Widgets/UrlEntry.vala"
	_tmp2_ = suggestion;
#line 237 "../src/Widgets/UrlEntry.vala"
	dzl_suggestion_set_title (_tmp2_, domain);
#line 238 "../src/Widgets/UrlEntry.vala"
	_tmp3_ = suggestion;
#line 238 "../src/Widgets/UrlEntry.vala"
	dzl_suggestion_set_icon_name (_tmp3_, icon);
#line 241 "../src/Widgets/UrlEntry.vala"
	if (name != NULL) {
#line 811 "UrlEntry.c"
		gchar* _tmp4_;
#line 242 "../src/Widgets/UrlEntry.vala"
		_tmp4_ = g_strdup_printf ("%s – %s", name, reason);
#line 242 "../src/Widgets/UrlEntry.vala"
		_g_free0 (description);
#line 242 "../src/Widgets/UrlEntry.vala"
		description = _tmp4_;
#line 819 "UrlEntry.c"
	} else {
		gchar* _tmp5_;
#line 244 "../src/Widgets/UrlEntry.vala"
		_tmp5_ = g_strdup (reason);
#line 244 "../src/Widgets/UrlEntry.vala"
		_g_free0 (description);
#line 244 "../src/Widgets/UrlEntry.vala"
		description = _tmp5_;
#line 828 "UrlEntry.c"
	}
#line 246 "../src/Widgets/UrlEntry.vala"
	_tmp6_ = suggestion;
#line 246 "../src/Widgets/UrlEntry.vala"
	_tmp7_ = description;
#line 246 "../src/Widgets/UrlEntry.vala"
	dzl_suggestion_set_subtitle (_tmp6_, _tmp7_);
#line 248 "../src/Widgets/UrlEntry.vala"
	_tmp8_ = self->priv->_list_store;
#line 248 "../src/Widgets/UrlEntry.vala"
	_tmp9_ = suggestion;
#line 248 "../src/Widgets/UrlEntry.vala"
	g_list_store_append (_tmp8_, (GObject*) _tmp9_);
#line 227 "../src/Widgets/UrlEntry.vala"
	_g_free0 (description);
#line 227 "../src/Widgets/UrlEntry.vala"
	_g_object_unref0 (suggestion);
#line 846 "UrlEntry.c"
}

static void
ephemeral_url_entry_reset_suggestions (EphemeralUrlEntry* self,
                                       gchar** favorites,
                                       gint favorites_length1)
{
	GListStore* _tmp0_;
	GListStore* _tmp2_;
	GListStore* _tmp3_;
	GListStore* _tmp4_;
	GListStore* _tmp5_;
#line 251 "../src/Widgets/UrlEntry.vala"
	g_return_if_fail (self != NULL);
#line 252 "../src/Widgets/UrlEntry.vala"
	g_debug ("UrlEntry.vala:252: Resetting suggestions…");
#line 254 "../src/Widgets/UrlEntry.vala"
	_tmp0_ = self->priv->_list_store;
#line 254 "../src/Widgets/UrlEntry.vala"
	if (G_TYPE_CHECK_INSTANCE_TYPE (_tmp0_, g_list_store_get_type ())) {
#line 867 "UrlEntry.c"
		GListStore* _tmp1_;
#line 255 "../src/Widgets/UrlEntry.vala"
		_tmp1_ = self->priv->_list_store;
#line 255 "../src/Widgets/UrlEntry.vala"
		g_list_store_remove_all (_tmp1_);
#line 873 "UrlEntry.c"
	}
#line 258 "../src/Widgets/UrlEntry.vala"
	_tmp2_ = g_list_store_new (dzl_suggestion_get_type ());
#line 258 "../src/Widgets/UrlEntry.vala"
	_tmp3_ = _tmp2_;
#line 258 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_set_list_store (self, _tmp3_);
#line 258 "../src/Widgets/UrlEntry.vala"
	_g_object_unref0 (_tmp3_);
#line 260 "../src/Widgets/UrlEntry.vala"
	_tmp4_ = g_list_store_new (dzl_suggestion_get_type ());
#line 260 "../src/Widgets/UrlEntry.vala"
	_tmp5_ = _tmp4_;
#line 260 "../src/Widgets/UrlEntry.vala"
	dzl_suggestion_entry_set_model ((DzlSuggestionEntry*) self, (GListModel*) _tmp5_);
#line 260 "../src/Widgets/UrlEntry.vala"
	_g_object_unref0 (_tmp5_);
#line 891 "UrlEntry.c"
	{
		gchar** favorite_collection = NULL;
		gint favorite_collection_length1 = 0;
		gint _favorite_collection_size_ = 0;
		gint favorite_it = 0;
#line 262 "../src/Widgets/UrlEntry.vala"
		favorite_collection = favorites;
#line 262 "../src/Widgets/UrlEntry.vala"
		favorite_collection_length1 = favorites_length1;
#line 262 "../src/Widgets/UrlEntry.vala"
		for (favorite_it = 0; favorite_it < favorite_collection_length1; favorite_it = favorite_it + 1) {
#line 903 "UrlEntry.c"
			gchar* _tmp6_;
			gchar* favorite = NULL;
#line 262 "../src/Widgets/UrlEntry.vala"
			_tmp6_ = g_strdup (favorite_collection[favorite_it]);
#line 262 "../src/Widgets/UrlEntry.vala"
			favorite = _tmp6_;
#line 910 "UrlEntry.c"
			{
				const gchar* _tmp7_;
#line 263 "../src/Widgets/UrlEntry.vala"
				_tmp7_ = favorite;
#line 263 "../src/Widgets/UrlEntry.vala"
				ephemeral_url_entry_add_suggestion (self, _tmp7_, NULL, _ ("Favorite website"), "starred-symbolic");
#line 262 "../src/Widgets/UrlEntry.vala"
				_g_free0 (favorite);
#line 919 "UrlEntry.c"
			}
		}
	}
#line 266 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "247sports.com", "247Sports", _ ("Popular website"), "web-browser-symbolic");
#line 267 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "6pm.com", "6pm", _ ("Popular website"), "web-browser-symbolic");
#line 268 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "aa.com", "American Airlines", _ ("Popular website"), "web-browser-symbolic");
#line 269 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "aarp.org", "AARP", _ ("Popular website"), "web-browser-symbolic");
#line 270 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "abc.go.com", "ABC", _ ("Popular website"), "web-browser-symbolic");
#line 271 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "abcnews.go.com", "ABC News", _ ("Popular website"), "web-browser-symbolic");
#line 272 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "abs-cbnnews.com", "ABS-CBN News", _ ("Popular website"), "web-browser-symbolic");
#line 273 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "accuweather.com", "AccuWeather", _ ("Popular website"), "web-browser-symbolic");
#line 274 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "aclu.org", "American Civil Liberties Union", _ ("Popular website"), "web-browser-symbolic");
#line 275 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "ae.com", "American Eagle Outfitters", _ ("Popular website"), "web-browser-symbolic");
#line 276 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "airbnb.com", "Airbnb", _ ("Popular website"), "web-browser-symbolic");
#line 277 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "aliexpress.com", "AliExpress", _ ("Popular website"), "web-browser-symbolic");
#line 278 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "allrecipes.com", "Allrecipes", _ ("Popular website"), "web-browser-symbolic");
#line 279 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "amazon.com", "Amazon", _ ("Popular website"), "web-browser-symbolic");
#line 280 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "amazon.co.uk", "Amazon.co.uk", _ ("Popular website"), "web-browser-symbolic");
#line 281 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "americanexpress.com", "American Express", _ ("Popular website"), "web-browser-symbolic");
#line 282 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "ancestry.com", "Ancestry", _ ("Popular website"), "web-browser-symbolic");
#line 283 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "androidcentral.com", "Android Central", _ ("Popular website"), "web-browser-symbolic");
#line 284 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "androidpolice.com", "Android Police", _ ("Popular website"), "web-browser-symbolic");
#line 285 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "answers.com", "Answers", _ ("Popular website"), "web-browser-symbolic");
#line 286 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "aol.com", "AOL", _ ("Popular website"), "web-browser-symbolic");
#line 287 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "appcenter.elementary.io", "elementary AppCenter", _ ("Popular website"), "web-browser-symbolic");
#line 288 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "archive.org", "Internet Archive", _ ("Popular website"), "web-browser-symbolic");
#line 289 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "arstechnica.com", "Ars Technica", _ ("Popular website"), "web-browser-symbolic");
#line 290 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "att.com", "AT&amp;T", _ ("Popular website"), "web-browser-symbolic");
#line 291 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "audible.com", "Audible", _ ("Popular website"), "web-browser-symbolic");
#line 292 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "autotrader.com", "Autotrader", _ ("Popular website"), "web-browser-symbolic");
#line 293 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "azlyrics.com", "AZLyrics", _ ("Popular website"), "web-browser-symbolic");
#line 294 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "babycenter.com", "BabyCenter", _ ("Popular website"), "web-browser-symbolic");
#line 295 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "baidu.com", "Baidu", _ ("Popular website"), "web-browser-symbolic");
#line 296 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "bankofamerica.com", "Bank of America", _ ("Popular website"), "web-browser-symbolic");
#line 297 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "bankrate.com", "Bankrate", _ ("Popular website"), "web-browser-symbolic");
#line 298 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "barclaycardus.com", "Barclays US", _ ("Popular website"), "web-browser-symbolic");
#line 299 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "barnesandnoble.com", "Barnes &amp; Noble", _ ("Popular website"), "web-browser-symbolic");
#line 300 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "bbc.com", "BBC", _ ("Popular website"), "web-browser-symbolic");
#line 301 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "bbc.co.uk", "BBC", _ ("Popular website"), "web-browser-symbolic");
#line 302 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "bedbathandbeyond.com", "Bed Bath &amp; Beyond", _ ("Popular website"), "web-browser-symbolic");
#line 303 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "bestbuy.com", "Best Buy", _ ("Popular website"), "web-browser-symbolic");
#line 304 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "betanews.com", "BetaNews", _ ("Popular website"), "web-browser-symbolic");
#line 305 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "bhphotovideo.com", "B&amp;H Photo", _ ("Popular website"), "web-browser-symbolic");
#line 306 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "biblegateway.com", "BibleGateway.com", _ ("Popular website"), "web-browser-symbolic");
#line 307 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "bing.com", "Bing", _ ("Popular website"), "web-browser-symbolic");
#line 308 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "bizjournals.com", "The Business Journals", _ ("Popular website"), "web-browser-symbolic");
#line 309 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "blogger.com", "Blogger", _ ("Popular website"), "web-browser-symbolic");
#line 310 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "blogspot.com", "Blogspot", _ ("Popular website"), "web-browser-symbolic");
#line 311 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "bloomberg.com", "Bloomberg", _ ("Popular website"), "web-browser-symbolic");
#line 312 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "bn.com", "Barnes &amp; Noble", _ ("Popular website"), "web-browser-symbolic");
#line 313 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "bodybuilding.com", "Bodybuilding.com", _ ("Popular website"), "web-browser-symbolic");
#line 314 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "booking.com", "Booking.com", _ ("Popular website"), "web-browser-symbolic");
#line 315 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "box.com", "Box", _ ("Popular website"), "web-browser-symbolic");
#line 316 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "buffer.com", "Buffer", _ ("Popular website"), "web-browser-symbolic");
#line 317 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "businessinsider.com", "Business Insider", _ ("Popular website"), "web-browser-symbolic");
#line 318 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "buzzfeed.com", "Buzzfeed", _ ("Popular website"), "web-browser-symbolic");
#line 319 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "capitalone360.com", "Capital One Bank", _ ("Popular website"), "web-browser-symbolic");
#line 320 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "capitalone.com", "Capital One", _ ("Popular website"), "web-browser-symbolic");
#line 321 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "careerbuilder.com", "CareerBuilder", _ ("Popular website"), "web-browser-symbolic");
#line 322 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "cars.com", "Cars.com", _ ("Popular website"), "web-browser-symbolic");
#line 323 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "cartoonnetwork.com", "Cartoon Network", _ ("Popular website"), "web-browser-symbolic");
#line 324 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "cash.app", "Cash App", _ ("Popular website"), "web-browser-symbolic");
#line 325 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "cassidyjames.com", "Cassidy James", _ ("Popular website"), "web-browser-symbolic");
#line 326 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "cbs.com", "CBS", _ ("Popular website"), "web-browser-symbolic");
#line 327 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "cbsnews.com", "CBS News", _ ("Popular website"), "web-browser-symbolic");
#line 328 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "cbssports.com", "CBS Sports", _ ("Popular website"), "web-browser-symbolic");
#line 329 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "chase.com", "Chase", _ ("Popular website"), "web-browser-symbolic");
#line 330 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "chicagotribune.com", "Chicago Tribune", _ ("Popular website"), "web-browser-symbolic");
#line 331 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "chron.com", "The Houston Chronicle", _ ("Popular website"), "web-browser-symbolic");
#line 332 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "citibankonline.com", "Banking with Citi", _ ("Popular website"), "web-browser-symbolic");
#line 333 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "citi.com", "Citi", _ ("Popular website"), "web-browser-symbolic");
#line 334 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "cloudflare.com", "Cloudflare", _ ("Popular website"), "web-browser-symbolic");
#line 335 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "cnbc.com", "CNBC", _ ("Popular website"), "web-browser-symbolic");
#line 336 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "cnet.com", "CNET", _ ("Popular website"), "web-browser-symbolic");
#line 337 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "cnn.com", "CNN", _ ("Popular website"), "web-browser-symbolic");
#line 338 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "comcast.net", "Comcast", _ ("Popular website"), "web-browser-symbolic");
#line 339 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "comenity.net", "Comenity", _ ("Popular website"), "web-browser-symbolic");
#line 340 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "consumerreports.org", "Consumer Reports", _ ("Popular website"), "web-browser-symbolic");
#line 341 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "costco.com", "Costco", _ ("Popular website"), "web-browser-symbolic");
#line 342 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "coupons.com", "Coupons.com", _ ("Popular website"), "web-browser-symbolic");
#line 343 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "cox.net", "Cox", _ ("Popular website"), "web-browser-symbolic");
#line 344 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "cracked.com", "Cracked.com", _ ("Popular website"), "web-browser-symbolic");
#line 345 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "craigslist.org", "Craigslist", _ ("Popular website"), "web-browser-symbolic");
#line 346 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "creditkarma.com", "Credit Karma", _ ("Popular website"), "web-browser-symbolic");
#line 347 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "custhelp.com", "Oracle Service Cloud", _ ("Popular website"), "web-browser-symbolic");
#line 348 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "cvs.com", "CVS", _ ("Popular website"), "web-browser-symbolic");
#line 349 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "dailykos.com", "Daily Kos", _ ("Popular website"), "web-browser-symbolic");
#line 350 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "dailymotion.com", "Dailymotion", _ ("Popular website"), "web-browser-symbolic");
#line 351 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "danielfore.com", "Daniel Foré", _ ("Popular website"), "web-browser-symbolic");
#line 352 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "deadspin.com", "Deadspin", _ ("Popular website"), "web-browser-symbolic");
#line 353 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "dell.com", "Dell", _ ("Popular website"), "web-browser-symbolic");
#line 354 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "delta.com", "Delta Air Lines", _ ("Popular website"), "web-browser-symbolic");
#line 355 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "deviantart.com", "DeviantArt", _ ("Popular website"), "web-browser-symbolic");
#line 356 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "dickssportinggoods.com", "DICK'S Sporting Goods", _ ("Popular website"), "web-browser-symbolic");
#line 357 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "dictionary.com", "Dictionary.com", _ ("Popular website"), "web-browser-symbolic");
#line 358 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "digitalocean.com", "DigitalOcean", _ ("Popular website"), "web-browser-symbolic");
#line 359 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "digitaltrends.com", "Digital Trends", _ ("Popular website"), "web-browser-symbolic");
#line 360 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "diply.com", "Diply", _ ("Popular website"), "web-browser-symbolic");
#line 361 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "directv.com", "DIRECTV", _ ("Popular website"), "web-browser-symbolic");
#line 362 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "discovercard.com", "Discover", _ ("Popular website"), "web-browser-symbolic");
#line 363 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "discover.com", "Discover", _ ("Popular website"), "web-browser-symbolic");
#line 364 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "disney.com", "Disney.com", _ ("Popular website"), "web-browser-symbolic");
#line 365 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "do.co", "DigitalOcean", _ ("Popular website"), "web-browser-symbolic");
#line 366 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "docs.google.com", "Google Docs", _ ("Popular website"), "web-browser-symbolic");
#line 367 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "dominos.com", "Domino's", _ ("Popular website"), "web-browser-symbolic");
#line 368 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "draftkings.com", "DraftKings", _ ("Popular website"), "web-browser-symbolic");
#line 369 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "dribbble.com", "Dribbble", _ ("Popular website"), "web-browser-symbolic");
#line 370 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "drive.google.com", "Google Drive", _ ("Popular website"), "web-browser-symbolic");
#line 371 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "dropbox.com", "Dropbox", _ ("Popular website"), "web-browser-symbolic");
#line 372 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "drugs.com", "Drugs.com", _ ("Popular website"), "web-browser-symbolic");
#line 373 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "duckduckgo.com", "DuckDuckGo", _ ("Popular website"), "web-browser-symbolic");
#line 374 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "earthlink.net", "EarthLink", _ ("Popular website"), "web-browser-symbolic");
#line 375 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "ebates.com", "Ebates", _ ("Popular website"), "web-browser-symbolic");
#line 376 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "ebay.com", "eBay", _ ("Popular website"), "web-browser-symbolic");
#line 377 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "edmunds.com", "Edmunds", _ ("Popular website"), "web-browser-symbolic");
#line 378 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "eff.org", "Electronic Frontier Foundation", _ ("Popular website"), "web-browser-symbolic");
#line 379 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "ehow.com", "eHow", _ ("Popular website"), "web-browser-symbolic");
#line 380 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "elementary.io", "elementary", _ ("Popular website"), "web-browser-symbolic");
#line 381 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "engadget.com", "Engadget", _ ("Popular website"), "web-browser-symbolic");
#line 382 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "eonline.com", "E! News", _ ("Popular website"), "web-browser-symbolic");
#line 383 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "epicurious.com", "Epicurious", _ ("Popular website"), "web-browser-symbolic");
#line 384 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "espn.go.com", "ESPN", _ ("Popular website"), "web-browser-symbolic");
#line 385 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "etsy.com", "Etsy", _ ("Popular website"), "web-browser-symbolic");
#line 386 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "eventbrite.com", "Eventbrite", _ ("Popular website"), "web-browser-symbolic");
#line 387 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "evernote.com", "Evernote", _ ("Popular website"), "web-browser-symbolic");
#line 388 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "evite.com", "Evite", _ ("Popular website"), "web-browser-symbolic");
#line 389 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "ew.com", "Entertainment Weekly", _ ("Popular website"), "web-browser-symbolic");
#line 390 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "expedia.com", "Expedia", _ ("Popular website"), "web-browser-symbolic");
#line 391 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "facebook.com", "Facebook", _ ("Popular website"), "web-browser-symbolic");
#line 392 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "fandango.com", "Fandango", _ ("Popular website"), "web-browser-symbolic");
#line 393 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "fanduel.com", "FanDuel", _ ("Popular website"), "web-browser-symbolic");
#line 394 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "fanfiction.net", "FanFiction", _ ("Popular website"), "web-browser-symbolic");
#line 395 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "fast.com", "Fast.com", _ ("Popular website"), "web-browser-symbolic");
#line 396 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "fedex.com", "FedEx", _ ("Popular website"), "web-browser-symbolic");
#line 397 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "feedly.com", "Feedly", _ ("Popular website"), "web-browser-symbolic");
#line 398 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "fidelity.com", "Fidelity Investments", _ ("Popular website"), "web-browser-symbolic");
#line 399 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "fitbit.com", "Fitbit", _ ("Popular website"), "web-browser-symbolic");
#line 400 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "flickr.com", "Flickr", _ ("Popular website"), "web-browser-symbolic");
#line 401 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "food52.com", "Food52", _ ("Popular website"), "web-browser-symbolic");
#line 402 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "foodnetwork.com", "Food Network", _ ("Popular website"), "web-browser-symbolic");
#line 403 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "fool.com", "The Motley Fool", _ ("Popular website"), "web-browser-symbolic");
#line 404 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "forbes.com", "Forbes", _ ("Popular website"), "web-browser-symbolic");
#line 405 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "forever21.com", "Forever 21", _ ("Popular website"), "web-browser-symbolic");
#line 406 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "frys.com", "Fry's Home Electronics", _ ("Popular website"), "web-browser-symbolic");
#line 407 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "gamefaqs.com", "GameFAQs", _ ("Popular website"), "web-browser-symbolic");
#line 408 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "gamespot.com", "GameSpot", _ ("Popular website"), "web-browser-symbolic");
#line 409 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "gamestop.com", "GameStop", _ ("Popular website"), "web-browser-symbolic");
#line 410 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "gap.com", "Gap", _ ("Popular website"), "web-browser-symbolic");
#line 411 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "gawker.com", "Gawker", _ ("Popular website"), "web-browser-symbolic");
#line 412 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "genius.com", "Genius", _ ("Popular website"), "web-browser-symbolic");
#line 413 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "gettogether.community", "Get Together", _ ("Popular website"), "web-browser-symbolic");
#line 414 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "gfycat.com", "Gfycat", _ ("Popular website"), "web-browser-symbolic");
#line 415 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "giphy.com", "Giphy", _ ("Popular website"), "web-browser-symbolic");
#line 416 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "github.com", "GitHub", _ ("Popular website"), "web-browser-symbolic");
#line 417 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "gizmodo.com", "Gizmodo", _ ("Popular website"), "web-browser-symbolic");
#line 418 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "glassdoor.com", "Glassdoor", _ ("Popular website"), "web-browser-symbolic");
#line 419 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "gmail.com", "Gmail", _ ("Popular website"), "web-browser-symbolic");
#line 420 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "gofundme.com", "GoFundMe", _ ("Popular website"), "web-browser-symbolic");
#line 421 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "goodhousekeeping.com", "Good Housekeeping", _ ("Popular website"), "web-browser-symbolic");
#line 422 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "goodreads.com", "Goodreads", _ ("Popular website"), "web-browser-symbolic");
#line 423 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "google.com", "Google", _ ("Popular website"), "web-browser-symbolic");
#line 424 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "greatergood.com", "GreaterGood", _ ("Popular website"), "web-browser-symbolic");
#line 425 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "groupon.com", "Groupon", _ ("Popular website"), "web-browser-symbolic");
#line 426 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "harvard.edu", "Harvard University", _ ("Popular website"), "web-browser-symbolic");
#line 427 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "healthcare.gov", "HealthCare.gov", _ ("Popular website"), "web-browser-symbolic");
#line 428 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "hilton.com", "Hilton", _ ("Popular website"), "web-browser-symbolic");
#line 429 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "hm.com", "H&amp;M", _ ("Popular website"), "web-browser-symbolic");
#line 430 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "homedepot.com", "The Home Depot", _ ("Popular website"), "web-browser-symbolic");
#line 431 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "hootsuite.com", "Hootsuite", _ ("Popular website"), "web-browser-symbolic");
#line 432 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "hotels.com", "Hotels.com", _ ("Popular website"), "web-browser-symbolic");
#line 433 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "hotnewhiphop.com", "HotNewHipHop", _ ("Popular website"), "web-browser-symbolic");
#line 434 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "houzz.com", "Houzz", _ ("Popular website"), "web-browser-symbolic");
#line 435 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "hp.com", "HP", _ ("Popular website"), "web-browser-symbolic");
#line 436 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "hsn.com", "HSN", _ ("Popular website"), "web-browser-symbolic");
#line 437 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "huffingtonpost.com", "Huffington Post", _ ("Popular website"), "web-browser-symbolic");
#line 438 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "icloud.com", "iCloud", _ ("Popular website"), "web-browser-symbolic");
#line 439 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "iflscience.com", "IFLScience", _ ("Popular website"), "web-browser-symbolic");
#line 440 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "ign.com", "IGN", _ ("Popular website"), "web-browser-symbolic");
#line 441 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "ikea.com", "IKEA", _ ("Popular website"), "web-browser-symbolic");
#line 442 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "imdb.com", "Internet Movie Database", _ ("Popular website"), "web-browser-symbolic");
#line 443 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "imgur.com", "Imgur", _ ("Popular website"), "web-browser-symbolic");
#line 444 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "indeed.com", "Indeed", _ ("Popular website"), "web-browser-symbolic");
#line 445 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "independent.co.uk", "The Independent", _ ("Popular website"), "web-browser-symbolic");
#line 446 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "indiatimes.com", "Indiatimes", _ ("Popular website"), "web-browser-symbolic");
#line 447 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "indiegogo.com", "Indiegogo", _ ("Popular website"), "web-browser-symbolic");
#line 448 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "ind.ie", "Indie", _ ("Popular website"), "web-browser-symbolic");
#line 449 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "instagram.com", "Instagram", _ ("Popular website"), "web-browser-symbolic");
#line 450 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "instructables.com", "Instructables", _ ("Popular website"), "web-browser-symbolic");
#line 451 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "intuit.com", "Intuit", _ ("Popular website"), "web-browser-symbolic");
#line 452 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "io9.com", "io9", _ ("Popular website"), "web-browser-symbolic");
#line 453 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "irs.gov", "Internal Revenue Service", _ ("Popular website"), "web-browser-symbolic");
#line 454 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "jalopnik.com", "Jalopnik", _ ("Popular website"), "web-browser-symbolic");
#line 455 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "jblive.tv", "Jupiter Broadcasting LIVE!", _ ("Popular website"), "web-browser-symbolic");
#line 456 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "jcpenny.com", "JCPenny", _ ("Popular website"), "web-browser-symbolic");
#line 457 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "jcrew.com", "J.Crew", _ ("Popular website"), "web-browser-symbolic");
#line 458 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "jet.com", "Jet.com", _ ("Popular website"), "web-browser-symbolic");
#line 459 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "jezebel.com", "Jezebel", _ ("Popular website"), "web-browser-symbolic");
#line 460 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "joinmastodon.org", "The Mastodon Project", _ ("Popular website"), "web-browser-symbolic");
#line 461 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "jupiterbroadcasting.com", "Jupiter Broadcasting", _ ("Popular website"), "web-browser-symbolic");
#line 462 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "kbb.com", "Kelly Blue Book", _ ("Popular website"), "web-browser-symbolic");
#line 463 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "kickstarter.com", "Kickstarter", _ ("Popular website"), "web-browser-symbolic");
#line 464 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "kinja.com", "Kinja", _ ("Popular website"), "web-browser-symbolic");
#line 465 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "kmart.com", "Kmart", _ ("Popular website"), "web-browser-symbolic");
#line 466 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "kohls.com", "Khol's", _ ("Popular website"), "web-browser-symbolic");
#line 467 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "kotaku.com", "Kotaku", _ ("Popular website"), "web-browser-symbolic");
#line 468 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "ksl.com", "KSL.com", _ ("Popular website"), "web-browser-symbolic");
#line 469 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "landsend.com", "Lands' End", _ ("Popular website"), "web-browser-symbolic");
#line 470 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "latimes.com", "LA Times", _ ("Popular website"), "web-browser-symbolic");
#line 471 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "legacy.com", "Legacy.com", _ ("Popular website"), "web-browser-symbolic");
#line 472 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "lego.com", "LEGO", _ ("Popular website"), "web-browser-symbolic");
#line 473 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "lifehacker.com", "Lifehacker", _ ("Popular website"), "web-browser-symbolic");
#line 474 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "linkedin.com", "LinkedIn", _ ("Popular website"), "web-browser-symbolic");
#line 475 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "linuxacademy.com", "Linux Academy", _ ("Popular website"), "web-browser-symbolic");
#line 476 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "linuxunplugged.com", "LINUX Unplugged", _ ("Popular website"), "web-browser-symbolic");
#line 477 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "littlethings.com", "LittleThings", _ ("Popular website"), "web-browser-symbolic");
#line 478 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "liveleak.com", "LiveLeak", _ ("Popular website"), "web-browser-symbolic");
#line 479 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "livestrong.com", "Livestrong", _ ("Popular website"), "web-browser-symbolic");
#line 480 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "livingsocial.com", "LivingSocial", _ ("Popular website"), "web-browser-symbolic");
#line 481 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "llbean.com", "L.L.Bean", _ ("Popular website"), "web-browser-symbolic");
#line 482 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "lunduke.com", "Bryan Lunduke", _ ("Popular website"), "web-browser-symbolic");
#line 483 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "lowes.com", "Lowes", _ ("Popular website"), "web-browser-symbolic");
#line 484 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "macys.com", "Macy's", _ ("Popular website"), "web-browser-symbolic");
#line 485 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "mailchimp.com", "Mailchimp", _ ("Popular website"), "web-browser-symbolic");
#line 486 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "mapquest.com", "MapQuest", _ ("Popular website"), "web-browser-symbolic");
#line 487 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "marketwatch.com", "MarketWatch", _ ("Popular website"), "web-browser-symbolic");
#line 488 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "marriott.com", "Marriott", _ ("Popular website"), "web-browser-symbolic");
#line 489 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "marthastewart.com", "Martha Stewart", _ ("Popular website"), "web-browser-symbolic");
#line 490 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "mashable.com", "Mashable", _ ("Popular website"), "web-browser-symbolic");
#line 491 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "match.com", "Match.com", _ ("Popular website"), "web-browser-symbolic");
#line 492 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "mayoclinic.org", "Mayo Clinic", _ ("Popular website"), "web-browser-symbolic");
#line 493 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "medium.com", "Medium", _ ("Popular website"), "web-browser-symbolic");
#line 494 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "meetup.com", "Meetup", _ ("Popular website"), "web-browser-symbolic");
#line 495 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "merriam-webster.com", "Dictionary by Merriam-Webster", _ ("Popular website"), "web-browser-symbolic");
#line 496 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "mic.com", "Mic", _ ("Popular website"), "web-browser-symbolic");
#line 497 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "michaels.com", "Michaels", _ ("Popular website"), "web-browser-symbolic");
#line 498 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "mint.com", "Mint", _ ("Popular website"), "web-browser-symbolic");
#line 499 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "mit.edu", "Massachusetts Institute of Technology", _ ("Popular website"), "web-browser-symbolic");
#line 500 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "mlb.com", "MLB", _ ("Popular website"), "web-browser-symbolic");
#line 501 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "monster.com", "Monster Jobs", _ ("Popular website"), "web-browser-symbolic");
#line 502 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "mozilla.org", "Mozilla", _ ("Popular website"), "web-browser-symbolic");
#line 503 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "msnbc.com", "NBC News", _ ("Popular website"), "web-browser-symbolic");
#line 504 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "msn.com", "Microsoft Live", _ ("Popular website"), "web-browser-symbolic");
#line 505 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "myfitnesspal.com", "MyFitnessPal", _ ("Popular website"), "web-browser-symbolic");
#line 506 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "nationalgeographic.com", "National Geographic", _ ("Popular website"), "web-browser-symbolic");
#line 507 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "naver.com", "NAVER", _ ("Popular website"), "web-browser-symbolic");
#line 508 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "nba.com", "NBA", _ ("Popular website"), "web-browser-symbolic");
#line 509 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "nbc.com", "NBC", _ ("Popular website"), "web-browser-symbolic");
#line 510 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "nbcnews.com", "NBC News", _ ("Popular website"), "web-browser-symbolic");
#line 511 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "nbcsports.com", "NBC Sports", _ ("Popular website"), "web-browser-symbolic");
#line 512 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "nesn.com", "NESN", _ ("Popular website"), "web-browser-symbolic");
#line 513 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "newegg.com", "Newegg", _ ("Popular website"), "web-browser-symbolic");
#line 514 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "nextdoor.com", "Nextdoor", _ ("Popular website"), "web-browser-symbolic");
#line 515 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "nhl.com", "National Hockey League", _ ("Popular website"), "web-browser-symbolic");
#line 516 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "nih.gov", "National Institutes of Health", _ ("Popular website"), "web-browser-symbolic");
#line 517 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "nike.com", "Nike", _ ("Popular website"), "web-browser-symbolic");
#line 518 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "noaa.gov", "National Oceanic and Atmospheric Administration", _ ("Popular website"), "web-browser-symbolic");
#line 519 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "nordstrom.com", "Nordstrom", _ ("Popular website"), "web-browser-symbolic");
#line 520 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "npr.org", "NPR", _ ("Popular website"), "web-browser-symbolic");
#line 521 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "ny.gov", "New York State", _ ("Popular website"), "web-browser-symbolic");
#line 522 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "nypost.com", "New York Post", _ ("Popular website"), "web-browser-symbolic");
#line 523 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "nytimes.com", "New York Times", _ ("Popular website"), "web-browser-symbolic");
#line 524 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "office365.com", "Office 365", _ ("Popular website"), "web-browser-symbolic");
#line 525 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "officedepot.com", "Office Depot &amp; OfficeMax", _ ("Popular website"), "web-browser-symbolic");
#line 526 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "okcupid.com", "OKCupid", _ ("Popular website"), "web-browser-symbolic");
#line 527 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "omgubuntu.co.uk", "OMG! Ubuntu!", _ ("Popular website"), "web-browser-symbolic");
#line 528 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "opentable.com", "OpenTable", _ ("Popular website"), "web-browser-symbolic");
#line 529 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "oracle.com", "Oracle", _ ("Popular website"), "web-browser-symbolic");
#line 530 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "orbitz.com", "Orbitz", _ ("Popular website"), "web-browser-symbolic");
#line 531 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "overstock.com", "Overstock", _ ("Popular website"), "web-browser-symbolic");
#line 532 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "pandora.com", "Pandora", _ ("Popular website"), "web-browser-symbolic");
#line 533 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "patch.com", "Patch", _ ("Popular website"), "web-browser-symbolic");
#line 534 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "patheos.com", "Patheos", _ ("Popular website"), "web-browser-symbolic");
#line 535 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "paypal.com", "PayPal", _ ("Popular website"), "web-browser-symbolic");
#line 536 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "pbs.org", "Public Broadcasting Service", _ ("Popular website"), "web-browser-symbolic");
#line 537 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "pcmag.com", "PCMag.com", _ ("Popular website"), "web-browser-symbolic");
#line 538 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "people.com", "PEOPLE", _ ("Popular website"), "web-browser-symbolic");
#line 539 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "phoronix.com", "Phoronix", _ ("Popular website"), "web-browser-symbolic");
#line 540 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "pinterest.com", "Pinterest", _ ("Popular website"), "web-browser-symbolic");
#line 541 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "playstation.com", "PlayStation", _ ("Popular website"), "web-browser-symbolic");
#line 542 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "pnc.com", "PNC", _ ("Popular website"), "web-browser-symbolic");
#line 543 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "pof.com", "POF", _ ("Popular website"), "web-browser-symbolic");
#line 544 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "pogo.com", "Pogo.com", _ ("Popular website"), "web-browser-symbolic");
#line 545 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "politico.com", "POLITICO", _ ("Popular website"), "web-browser-symbolic");
#line 546 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "popsugar.com", "POPSUGAR", _ ("Popular website"), "web-browser-symbolic");
#line 547 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "potterybarn.com", "Pottery Barn", _ ("Popular website"), "web-browser-symbolic");
#line 548 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "priceline.com", "Priceline", _ ("Popular website"), "web-browser-symbolic");
#line 549 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "purdue.edu", "Purdue University", _ ("Popular website"), "web-browser-symbolic");
#line 550 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "puri.sm", "Purism", _ ("Popular website"), "web-browser-symbolic");
#line 551 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "qq.com", "QQ.com", _ ("Popular website"), "web-browser-symbolic");
#line 552 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "qualtrics.com", "Qualtrics", _ ("Popular website"), "web-browser-symbolic");
#line 553 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "quizlet.com", "Quizlet", _ ("Popular website"), "web-browser-symbolic");
#line 554 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "quora.com", "Quora", _ ("Popular website"), "web-browser-symbolic");
#line 555 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "qvc.com", "QVC", _ ("Popular website"), "web-browser-symbolic");
#line 556 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "ravelry.com", "Ravelry", _ ("Popular website"), "web-browser-symbolic");
#line 557 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "realsimple.com", "Real Simple", _ ("Popular website"), "web-browser-symbolic");
#line 558 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "realtor.com", "Realtor.com", _ ("Popular website"), "web-browser-symbolic");
#line 559 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "redbox.com", "Redbox", _ ("Popular website"), "web-browser-symbolic");
#line 560 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "reddit.com", "Reddit", _ ("Popular website"), "web-browser-symbolic");
#line 561 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "redfin.com", "Redfin", _ ("Popular website"), "web-browser-symbolic");
#line 562 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "refactoringui.com", "Refactoring UI", _ ("Popular website"), "web-browser-symbolic");
#line 563 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "reference.com", "Reference.com", _ ("Popular website"), "web-browser-symbolic");
#line 564 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "refinery29.com", "Refinery29", _ ("Popular website"), "web-browser-symbolic");
#line 565 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "rei.com", "REI", _ ("Popular website"), "web-browser-symbolic");
#line 566 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "retailmenot.com", "RetailMeNot", _ ("Popular website"), "web-browser-symbolic");
#line 567 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "reuters.com", "Reuters", _ ("Popular website"), "web-browser-symbolic");
#line 568 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "roblox.com", "Roblox", _ ("Popular website"), "web-browser-symbolic");
#line 569 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "rollingstone.com", "Rolling Stone", _ ("Popular website"), "web-browser-symbolic");
#line 570 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "rotoworld.com", "Rotoworld", _ ("Popular website"), "web-browser-symbolic");
#line 571 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "rottentomatoes.com", "Rotten Tomatoes", _ ("Popular website"), "web-browser-symbolic");
#line 572 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "salesforce.com", "Salesforce", _ ("Popular website"), "web-browser-symbolic");
#line 573 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "salon.com", "Salon.com", _ ("Popular website"), "web-browser-symbolic");
#line 574 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "samsclub.com", "Sam's Club", _ ("Popular website"), "web-browser-symbolic");
#line 575 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "sbnation.com", "SBNation", _ ("Popular website"), "web-browser-symbolic");
#line 576 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "schwab.com", "Charles Schwab", _ ("Popular website"), "web-browser-symbolic");
#line 577 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "sears.com", "Sears", _ ("Popular website"), "web-browser-symbolic");
#line 578 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "sephora.com", "Sephora", _ ("Popular website"), "web-browser-symbolic");
#line 579 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "sfgate.com", "SFGATE", _ ("Popular website"), "web-browser-symbolic");
#line 580 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "sharepoint.com", "SharePoint", _ ("Popular website"), "web-browser-symbolic");
#line 581 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "sheets.google.com", "Google Sheets", _ ("Popular website"), "web-browser-symbolic");
#line 582 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "shopify.com", "Shopify", _ ("Popular website"), "web-browser-symbolic");
#line 583 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "shutterfly.com", "Shutterfly", _ ("Popular website"), "web-browser-symbolic");
#line 584 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "si.com", "Sports Illustrated", _ ("Popular website"), "web-browser-symbolic");
#line 585 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "simple.com", "Simple", _ ("Popular website"), "web-browser-symbolic");
#line 586 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "skype.com", "Skype", _ ("Popular website"), "web-browser-symbolic");
#line 587 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "slate.com", "Slate", _ ("Popular website"), "web-browser-symbolic");
#line 588 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "slides.google.com", "Google Slides", _ ("Popular website"), "web-browser-symbolic");
#line 589 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "slideshare.net", "SlideShare", _ ("Popular website"), "web-browser-symbolic");
#line 590 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "slimbook.es", "SLIMBOOK", _ ("Popular website"), "web-browser-symbolic");
#line 591 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "soundcloud.com", "SoundCloud", _ ("Popular website"), "web-browser-symbolic");
#line 592 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "sourceforge.net", "SourceForge", _ ("Popular website"), "web-browser-symbolic");
#line 593 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "southwest.com", "Southwest Airlines", _ ("Popular website"), "web-browser-symbolic");
#line 594 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "spectrum.com", "Spectrum", _ ("Popular website"), "web-browser-symbolic");
#line 595 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "speedtest.net", "Speedtest", _ ("Popular website"), "web-browser-symbolic");
#line 596 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "sprint.com", "Sprint", _ ("Popular website"), "web-browser-symbolic");
#line 597 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "squarespace.com", "Squarespace", _ ("Popular website"), "web-browser-symbolic");
#line 598 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "squareup.com", "Square", _ ("Popular website"), "web-browser-symbolic");
#line 599 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "stackoverflow.com", "Stack Overflow", _ ("Popular website"), "web-browser-symbolic");
#line 600 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "stanford.edu", "Stanford University", _ ("Popular website"), "web-browser-symbolic");
#line 601 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "staples.com", "Staples", _ ("Popular website"), "web-browser-symbolic");
#line 602 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "starbucks.com", "Starbucks", _ ("Popular website"), "web-browser-symbolic");
#line 603 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "startpage.com", "Startpage.com", _ ("Popular website"), "web-browser-symbolic");
#line 604 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "steamcommunity.com", "Steam Community", _ ("Popular website"), "web-browser-symbolic");
#line 605 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "steampowered.com", "Steam", _ ("Popular website"), "web-browser-symbolic");
#line 606 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "stripe.com", "Stripe", _ ("Popular website"), "web-browser-symbolic");
#line 607 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "stubhub.com", "StubHub", _ ("Popular website"), "web-browser-symbolic");
#line 608 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "surveymonkey.com", "SurveyMonkey", _ ("Popular website"), "web-browser-symbolic");
#line 609 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "swagbucks.com", "Swagbucks", _ ("Popular website"), "web-browser-symbolic");
#line 610 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "system76.com", "System76", _ ("Popular website"), "web-browser-symbolic");
#line 611 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "taobao.com", "Taobao", _ ("Popular website"), "web-browser-symbolic");
#line 612 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "target.com", "Target", _ ("Popular website"), "web-browser-symbolic");
#line 613 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "tdbank.com", "TD Bank", _ ("Popular website"), "web-browser-symbolic");
#line 614 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "techcrunch.com", "TechCrunch", _ ("Popular website"), "web-browser-symbolic");
#line 615 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "telegraph.co.uk", "The Telegraph", _ ("Popular website"), "web-browser-symbolic");
#line 616 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "theatlantic.com", "The Atlantic", _ ("Popular website"), "web-browser-symbolic");
#line 617 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "thefreedictionary.com", "The Free Dictionary", _ ("Popular website"), "web-browser-symbolic");
#line 618 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "theguardian.com", "The Guardian", _ ("Popular website"), "web-browser-symbolic");
#line 619 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "thekitchn.com", "Kitchn", _ ("Popular website"), "web-browser-symbolic");
#line 620 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "theonion.com", "The Onion", _ ("Popular website"), "web-browser-symbolic");
#line 621 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "theoutline.com", "The Outline", _ ("Popular website"), "web-browser-symbolic");
#line 622 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "theregister.co.uk", "The Register", _ ("Popular website"), "web-browser-symbolic");
#line 623 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "thesaurus.com", "Thesaurus.com", _ ("Popular website"), "web-browser-symbolic");
#line 624 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "theverge.com", "The Verge", _ ("Popular website"), "web-browser-symbolic");
#line 625 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "thinkgeek.com", "ThinkGeek", _ ("Popular website"), "web-browser-symbolic");
#line 626 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "ticketmaster.com", "Ticketmaster", _ ("Popular website"), "web-browser-symbolic");
#line 627 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "tickld.com", "tickld.com", _ ("Popular website"), "web-browser-symbolic");
#line 628 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "tigerdirect.com", "TigerDirect.com", _ ("Popular website"), "web-browser-symbolic");
#line 629 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "timeanddate.com", "timeanddate.com", _ ("Popular website"), "web-browser-symbolic");
#line 630 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "time.com", "TIME", _ ("Popular website"), "web-browser-symbolic");
#line 631 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "timewarnercable.com", "Spectrum", _ ("Popular website"), "web-browser-symbolic");
#line 632 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "t-mobile.com", "T-Mobile", _ ("Popular website"), "web-browser-symbolic");
#line 633 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "tmobile.com", "T-Mobile", _ ("Popular website"), "web-browser-symbolic");
#line 634 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "tmz.com", "TMZ", _ ("Popular website"), "web-browser-symbolic");
#line 635 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "today.com", "TODAY", _ ("Popular website"), "web-browser-symbolic");
#line 636 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "tomshardware.com", "Tom's Hardware", _ ("Popular website"), "web-browser-symbolic");
#line 637 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "topix.com", "Topix", _ ("Popular website"), "web-browser-symbolic");
#line 638 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "tripadvisor.com", "TripAdvisor", _ ("Popular website"), "web-browser-symbolic");
#line 639 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "trulia.com", "Trulia", _ ("Popular website"), "web-browser-symbolic");
#line 640 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "tumblr.com", "Tumblr", _ ("Popular website"), "web-browser-symbolic");
#line 641 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "tvguide.com", "TV Guide", _ ("Popular website"), "web-browser-symbolic");
#line 642 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "twitch.tv", "Twitch", _ ("Popular website"), "web-browser-symbolic");
#line 643 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "ulta.com", "Ulta Beauty", _ ("Popular website"), "web-browser-symbolic");
#line 644 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "united.com", "United Airlines", _ ("Popular website"), "web-browser-symbolic");
#line 645 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "unsplash.com", "Unsplash", _ ("Popular website"), "web-browser-symbolic");
#line 646 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "ups.com", "UPS", _ ("Popular website"), "web-browser-symbolic");
#line 647 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "urbandictionary.com", "Urban Dictionary", _ ("Popular website"), "web-browser-symbolic");
#line 648 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "urbanoutfitters.com", "Urban Outfitters", _ ("Popular website"), "web-browser-symbolic");
#line 649 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "usaa.com", "USAA", _ ("Popular website"), "web-browser-symbolic");
#line 650 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "usatoday.com", "USA Today", _ ("Popular website"), "web-browser-symbolic");
#line 651 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "usbank.com", "US Bank", _ ("Popular website"), "web-browser-symbolic");
#line 652 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "usmagazine.com", "Us Weekly", _ ("Popular website"), "web-browser-symbolic");
#line 653 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "usnews.com", "US News &amp; World Report", _ ("Popular website"), "web-browser-symbolic");
#line 654 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "usps.com", "USPS", _ ("Popular website"), "web-browser-symbolic");
#line 655 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "valadoc.org", "Valadoc", _ ("Popular website"), "web-browser-symbolic");
#line 656 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "vanguard.com", "Vanguard", _ ("Popular website"), "web-browser-symbolic");
#line 657 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "verizon.com", "Verizon", _ ("Popular website"), "web-browser-symbolic");
#line 658 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "vice.com", "VICE", _ ("Popular website"), "web-browser-symbolic");
#line 659 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "vimeo.com", "Vimeo", _ ("Popular website"), "web-browser-symbolic");
#line 660 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "vistaprint.com", "Vistaprint", _ ("Popular website"), "web-browser-symbolic");
#line 661 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "vox.com", "Vox", _ ("Popular website"), "web-browser-symbolic");
#line 662 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "vrbo.com", "VRBO.com", _ ("Popular website"), "web-browser-symbolic");
#line 663 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "walgreens.com", "Walgreens", _ ("Popular website"), "web-browser-symbolic");
#line 664 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "walmart.com", "Walmart", _ ("Popular website"), "web-browser-symbolic");
#line 665 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "washingtonpost.com", "Washington Post", _ ("Popular website"), "web-browser-symbolic");
#line 666 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "wayfair.com", "Wayfair", _ ("Popular website"), "web-browser-symbolic");
#line 667 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "weather.com", "Weather", _ ("Popular website"), "web-browser-symbolic");
#line 668 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "weather.gov", "National Weather Service", _ ("Popular website"), "web-browser-symbolic");
#line 669 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "webex.com", "Cisco Webex", _ ("Popular website"), "web-browser-symbolic");
#line 670 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "webmd.com", "WebMD", _ ("Popular website"), "web-browser-symbolic");
#line 671 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "weebly.com", "Weebly", _ ("Popular website"), "web-browser-symbolic");
#line 672 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "wellsfargo.com", "Wells Fargo", _ ("Popular website"), "web-browser-symbolic");
#line 673 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "whitepages.com", "Whitepages", _ ("Popular website"), "web-browser-symbolic");
#line 674 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "wikia.com", "Wikia", _ ("Popular website"), "web-browser-symbolic");
#line 675 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "wikihow.com", "wikiHow", _ ("Popular website"), "web-browser-symbolic");
#line 676 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "wikimedia.org", "Wikimedia", _ ("Popular website"), "web-browser-symbolic");
#line 677 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "wikipedia.org", "Wikipedia", _ ("Popular website"), "web-browser-symbolic");
#line 678 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "wired.com", "WIRED", _ ("Popular website"), "web-browser-symbolic");
#line 679 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "wix.com", "Wix", _ ("Popular website"), "web-browser-symbolic");
#line 680 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "woot.com", "Woot", _ ("Popular website"), "web-browser-symbolic");
#line 681 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "wordpress.com", "Wordpress", _ ("Popular website"), "web-browser-symbolic");
#line 682 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "wsj.com", "Wall Street Journal", _ ("Popular website"), "web-browser-symbolic");
#line 683 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "wunderground.com", "Weather Underground", _ ("Popular website"), "web-browser-symbolic");
#line 684 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "xbox.com", "Xbox", _ ("Popular website"), "web-browser-symbolic");
#line 685 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "xfinity.com", "Xfinity", _ ("Popular website"), "web-browser-symbolic");
#line 686 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "xkcd.com", "xkcd", _ ("Popular website"), "web-browser-symbolic");
#line 687 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "yahoo.com", "Yahoo", _ ("Popular website"), "web-browser-symbolic");
#line 688 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "yellowpages.com", "Yellowpages", _ ("Popular website"), "web-browser-symbolic");
#line 689 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "yelp.com", "Yelp", _ ("Popular website"), "web-browser-symbolic");
#line 690 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "youtube.com", "YouTube", _ ("Popular website"), "web-browser-symbolic");
#line 691 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "zappos.com", "Zappos", _ ("Popular website"), "web-browser-symbolic");
#line 692 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "zazzle.com", "Zazzle", _ ("Popular website"), "web-browser-symbolic");
#line 693 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "zendesk.com", "Zendesk", _ ("Popular website"), "web-browser-symbolic");
#line 694 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "zergnet.com", "ZergNet", _ ("Popular website"), "web-browser-symbolic");
#line 695 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "zillow.com", "Zillow", _ ("Popular website"), "web-browser-symbolic");
#line 696 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_add_suggestion (self, "zulily.com", "Zulily", _ ("Popular website"), "web-browser-symbolic");
#line 1785 "UrlEntry.c"
}

static gboolean
_vala_string_array_contains (gchar* * stack,
                             int stack_length,
                             const gchar* needle)
{
	int i;
#line 711 "../src/Widgets/UrlEntry.vala"
	for (i = 0; i < stack_length; i++) {
#line 711 "../src/Widgets/UrlEntry.vala"
		if (g_strcmp0 (stack[i], needle) == 0) {
#line 711 "../src/Widgets/UrlEntry.vala"
			return TRUE;
#line 1800 "UrlEntry.c"
		}
	}
#line 711 "../src/Widgets/UrlEntry.vala"
	return FALSE;
#line 1805 "UrlEntry.c"
}

static void
_vala_SoupURI_free (SoupURI* self)
{
#line 700 "../src/Widgets/UrlEntry.vala"
	g_boxed_free (soup_uri_get_type (), self);
#line 1813 "UrlEntry.c"
}

static void
ephemeral_url_entry_set_secondary_icon (EphemeralUrlEntry* self)
{
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 699 "../src/Widgets/UrlEntry.vala"
	g_return_if_fail (self != NULL);
#line 700 "../src/Widgets/UrlEntry.vala"
	g_object_get ((GtkWidget*) self, "has-focus", &_tmp1_, NULL);
#line 700 "../src/Widgets/UrlEntry.vala"
	_tmp2_ = _tmp1_;
#line 700 "../src/Widgets/UrlEntry.vala"
	if (_tmp2_) {
#line 700 "../src/Widgets/UrlEntry.vala"
		_tmp0_ = TRUE;
#line 1832 "UrlEntry.c"
	} else {
		const gchar* _tmp3_;
		const gchar* _tmp4_;
#line 700 "../src/Widgets/UrlEntry.vala"
		_tmp3_ = gtk_entry_get_text ((GtkEntry*) self);
#line 700 "../src/Widgets/UrlEntry.vala"
		_tmp4_ = _tmp3_;
#line 700 "../src/Widgets/UrlEntry.vala"
		_tmp0_ = g_strcmp0 (_tmp4_, "") == 0;
#line 1842 "UrlEntry.c"
	}
#line 700 "../src/Widgets/UrlEntry.vala"
	if (_tmp0_) {
#line 1846 "UrlEntry.c"
		gchar* _tmp5_;
		gchar** _tmp6_;
		gchar** _tmp7_;
		gint _tmp7__length1;
		gchar* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
		gchar* _tmp11_;
		gchar* _tmp12_;
#line 701 "../src/Widgets/UrlEntry.vala"
		g_object_set ((GtkEntry*) self, "secondary-icon-name", "go-jump-symbolic", NULL);
#line 702 "../src/Widgets/UrlEntry.vala"
		g_object_set ((GtkEntry*) self, "secondary-icon-tooltip-text", _ ("Go"), NULL);
#line 703 "../src/Widgets/UrlEntry.vala"
		_tmp5_ = g_strdup ("Return");
#line 703 "../src/Widgets/UrlEntry.vala"
		_tmp6_ = g_new0 (gchar*, 1 + 1);
#line 703 "../src/Widgets/UrlEntry.vala"
		_tmp6_[0] = _tmp5_;
#line 703 "../src/Widgets/UrlEntry.vala"
		_tmp7_ = _tmp6_;
#line 703 "../src/Widgets/UrlEntry.vala"
		_tmp7__length1 = 1;
#line 703 "../src/Widgets/UrlEntry.vala"
		g_object_get ((GtkEntry*) self, "secondary-icon-tooltip-text", &_tmp8_, NULL);
#line 703 "../src/Widgets/UrlEntry.vala"
		_tmp9_ = _tmp8_;
#line 703 "../src/Widgets/UrlEntry.vala"
		_tmp10_ = _tmp9_;
#line 703 "../src/Widgets/UrlEntry.vala"
		_tmp11_ = granite_markup_accel_tooltip (_tmp7_, (gint) 1, _tmp10_);
#line 703 "../src/Widgets/UrlEntry.vala"
		_tmp12_ = _tmp11_;
#line 703 "../src/Widgets/UrlEntry.vala"
		g_object_set ((GtkEntry*) self, "secondary-icon-tooltip-markup", _tmp12_, NULL);
#line 703 "../src/Widgets/UrlEntry.vala"
		_g_free0 (_tmp12_);
#line 703 "../src/Widgets/UrlEntry.vala"
		_g_free0 (_tmp10_);
#line 703 "../src/Widgets/UrlEntry.vala"
		_tmp7_ = (_vala_array_free (_tmp7_, _tmp7__length1, (GDestroyNotify) g_free), NULL);
#line 1888 "UrlEntry.c"
	} else {
		gchar** current_favorites = NULL;
		GSettings* _tmp13_;
		gchar** _tmp14_;
		gchar** _tmp15_;
		gint current_favorites_length1;
		gint _current_favorites_size_;
		SoupURI* uri = NULL;
		EphemeralWebView* _tmp16_;
		const gchar* _tmp17_;
		SoupURI* _tmp18_;
		SoupURI* _tmp19_;
#line 705 "../src/Widgets/UrlEntry.vala"
		_tmp13_ = ephemeral_application_settings;
#line 705 "../src/Widgets/UrlEntry.vala"
		_tmp15_ = _tmp14_ = g_settings_get_strv (_tmp13_, "favorite-websites");
#line 705 "../src/Widgets/UrlEntry.vala"
		current_favorites = _tmp15_;
#line 705 "../src/Widgets/UrlEntry.vala"
		current_favorites_length1 = _vala_array_length (_tmp14_);
#line 705 "../src/Widgets/UrlEntry.vala"
		_current_favorites_size_ = current_favorites_length1;
#line 706 "../src/Widgets/UrlEntry.vala"
		_tmp16_ = self->priv->_web_view;
#line 706 "../src/Widgets/UrlEntry.vala"
		_tmp17_ = webkit_web_view_get_uri ((WebKitWebView*) _tmp16_);
#line 706 "../src/Widgets/UrlEntry.vala"
		_tmp18_ = soup_uri_new (_tmp17_);
#line 706 "../src/Widgets/UrlEntry.vala"
		uri = _tmp18_;
#line 708 "../src/Widgets/UrlEntry.vala"
		_tmp19_ = uri;
#line 708 "../src/Widgets/UrlEntry.vala"
		if (_tmp19_ != NULL) {
#line 1923 "UrlEntry.c"
			gchar* domain = NULL;
			SoupURI* _tmp20_;
			const gchar* _tmp21_;
			gchar* _tmp22_;
			const gchar* _tmp23_;
			gchar** _tmp24_;
			gint _tmp24__length1;
#line 709 "../src/Widgets/UrlEntry.vala"
			_tmp20_ = uri;
#line 709 "../src/Widgets/UrlEntry.vala"
			_tmp21_ = soup_uri_get_host (_tmp20_);
#line 709 "../src/Widgets/UrlEntry.vala"
			_tmp22_ = g_strdup (_tmp21_);
#line 709 "../src/Widgets/UrlEntry.vala"
			domain = _tmp22_;
#line 711 "../src/Widgets/UrlEntry.vala"
			_tmp23_ = domain;
#line 711 "../src/Widgets/UrlEntry.vala"
			_tmp24_ = current_favorites;
#line 711 "../src/Widgets/UrlEntry.vala"
			_tmp24__length1 = current_favorites_length1;
#line 711 "../src/Widgets/UrlEntry.vala"
			if (_vala_string_array_contains (_tmp24_, _tmp24__length1, _tmp23_)) {
#line 1947 "UrlEntry.c"
				const gchar* _tmp25_;
#line 712 "../src/Widgets/UrlEntry.vala"
				_tmp25_ = domain;
#line 712 "../src/Widgets/UrlEntry.vala"
				g_debug ("UrlEntry.vala:712: %s is a favorite, showing filled star.", _tmp25_);
#line 713 "../src/Widgets/UrlEntry.vala"
				g_object_set ((GtkEntry*) self, "secondary-icon-name", "starred", NULL);
#line 714 "../src/Widgets/UrlEntry.vala"
				g_object_set ((GtkEntry*) self, "secondary-icon-tooltip-text", _ ("Remove Website from Suggestions"), NULL);
#line 1957 "UrlEntry.c"
			} else {
				const gchar* _tmp26_;
#line 716 "../src/Widgets/UrlEntry.vala"
				_tmp26_ = domain;
#line 716 "../src/Widgets/UrlEntry.vala"
				g_debug ("UrlEntry.vala:716: %s is not a favorite, showing empty star.", _tmp26_);
#line 717 "../src/Widgets/UrlEntry.vala"
				g_object_set ((GtkEntry*) self, "secondary-icon-name", "non-starred-symbolic", NULL);
#line 718 "../src/Widgets/UrlEntry.vala"
				g_object_set ((GtkEntry*) self, "secondary-icon-tooltip-text", _ ("Add Website to Suggestions"), NULL);
#line 1968 "UrlEntry.c"
			}
#line 708 "../src/Widgets/UrlEntry.vala"
			_g_free0 (domain);
#line 1972 "UrlEntry.c"
		}
#line 700 "../src/Widgets/UrlEntry.vala"
		__vala_SoupURI_free0 (uri);
#line 700 "../src/Widgets/UrlEntry.vala"
		current_favorites = (_vala_array_free (current_favorites, current_favorites_length1, (GDestroyNotify) g_free), NULL);
#line 1978 "UrlEntry.c"
	}
}

static GListStore*
ephemeral_url_entry_get_list_store (EphemeralUrlEntry* self)
{
	GListStore* result;
	GListStore* _tmp0_;
#line 24 "../src/Widgets/UrlEntry.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 24 "../src/Widgets/UrlEntry.vala"
	_tmp0_ = self->priv->_list_store;
#line 24 "../src/Widgets/UrlEntry.vala"
	result = _tmp0_;
#line 24 "../src/Widgets/UrlEntry.vala"
	return result;
#line 1995 "UrlEntry.c"
}

static void
ephemeral_url_entry_set_list_store (EphemeralUrlEntry* self,
                                    GListStore* value)
{
	GListStore* _tmp0_;
#line 24 "../src/Widgets/UrlEntry.vala"
	g_return_if_fail (self != NULL);
#line 24 "../src/Widgets/UrlEntry.vala"
	_tmp0_ = _g_object_ref0 (value);
#line 24 "../src/Widgets/UrlEntry.vala"
	_g_object_unref0 (self->priv->_list_store);
#line 24 "../src/Widgets/UrlEntry.vala"
	self->priv->_list_store = _tmp0_;
#line 2011 "UrlEntry.c"
}

static const gchar*
ephemeral_url_entry_get_last_text (EphemeralUrlEntry* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 25 "../src/Widgets/UrlEntry.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 25 "../src/Widgets/UrlEntry.vala"
	_tmp0_ = self->priv->_last_text;
#line 25 "../src/Widgets/UrlEntry.vala"
	result = _tmp0_;
#line 25 "../src/Widgets/UrlEntry.vala"
	return result;
#line 2027 "UrlEntry.c"
}

static void
ephemeral_url_entry_set_last_text (EphemeralUrlEntry* self,
                                   const gchar* value)
{
	gchar* _tmp0_;
#line 25 "../src/Widgets/UrlEntry.vala"
	g_return_if_fail (self != NULL);
#line 25 "../src/Widgets/UrlEntry.vala"
	_tmp0_ = g_strdup (value);
#line 25 "../src/Widgets/UrlEntry.vala"
	_g_free0 (self->priv->_last_text);
#line 25 "../src/Widgets/UrlEntry.vala"
	self->priv->_last_text = _tmp0_;
#line 2043 "UrlEntry.c"
}

EphemeralWebView*
ephemeral_url_entry_get_web_view (EphemeralUrlEntry* self)
{
	EphemeralWebView* result;
	EphemeralWebView* _tmp0_;
#line 27 "../src/Widgets/UrlEntry.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 27 "../src/Widgets/UrlEntry.vala"
	_tmp0_ = self->priv->_web_view;
#line 27 "../src/Widgets/UrlEntry.vala"
	result = _tmp0_;
#line 27 "../src/Widgets/UrlEntry.vala"
	return result;
#line 2059 "UrlEntry.c"
}

void
ephemeral_url_entry_set_web_view (EphemeralUrlEntry* self,
                                  EphemeralWebView* value)
{
#line 27 "../src/Widgets/UrlEntry.vala"
	g_return_if_fail (self != NULL);
#line 27 "../src/Widgets/UrlEntry.vala"
	if (ephemeral_url_entry_get_web_view (self) != value) {
#line 2070 "UrlEntry.c"
		EphemeralWebView* _tmp0_;
#line 27 "../src/Widgets/UrlEntry.vala"
		_tmp0_ = _g_object_ref0 (value);
#line 27 "../src/Widgets/UrlEntry.vala"
		_g_object_unref0 (self->priv->_web_view);
#line 27 "../src/Widgets/UrlEntry.vala"
		self->priv->_web_view = _tmp0_;
#line 27 "../src/Widgets/UrlEntry.vala"
		g_object_notify_by_pspec ((GObject *) self, ephemeral_url_entry_properties[EPHEMERAL_URL_ENTRY_WEB_VIEW_PROPERTY]);
#line 2080 "UrlEntry.c"
	}
}

static Block16Data*
block16_data_ref (Block16Data* _data16_)
{
#line 37 "../src/Widgets/UrlEntry.vala"
	g_atomic_int_inc (&_data16_->_ref_count_);
#line 37 "../src/Widgets/UrlEntry.vala"
	return _data16_;
#line 2091 "UrlEntry.c"
}

static void
block16_data_unref (void * _userdata_)
{
	Block16Data* _data16_;
	_data16_ = (Block16Data*) _userdata_;
#line 37 "../src/Widgets/UrlEntry.vala"
	if (g_atomic_int_dec_and_test (&_data16_->_ref_count_)) {
#line 2101 "UrlEntry.c"
		EphemeralUrlEntry* self;
#line 37 "../src/Widgets/UrlEntry.vala"
		self = _data16_->self;
#line 37 "../src/Widgets/UrlEntry.vala"
		_g_free0 (_data16_->tooltip_text);
#line 37 "../src/Widgets/UrlEntry.vala"
		_g_object_unref0 (self);
#line 37 "../src/Widgets/UrlEntry.vala"
		g_slice_free (Block16Data, _data16_);
#line 2111 "UrlEntry.c"
	}
}

static void
_ephemeral_url_entry___lambda11_ (Block16Data* _data16_)
{
	EphemeralUrlEntry* self;
	const gchar* _tmp0_;
	const gchar* _tmp1_;
#line 52 "../src/Widgets/UrlEntry.vala"
	self = _data16_->self;
#line 54 "../src/Widgets/UrlEntry.vala"
	_tmp0_ = gtk_entry_get_text ((GtkEntry*) self);
#line 54 "../src/Widgets/UrlEntry.vala"
	_tmp1_ = _tmp0_;
#line 54 "../src/Widgets/UrlEntry.vala"
	if (g_strcmp0 (_tmp1_, "") == 0) {
#line 2129 "UrlEntry.c"
		const gchar* _tmp2_;
#line 55 "../src/Widgets/UrlEntry.vala"
		_tmp2_ = _data16_->tooltip_text;
#line 55 "../src/Widgets/UrlEntry.vala"
		gtk_entry_set_placeholder_text ((GtkEntry*) self, _tmp2_);
#line 2135 "UrlEntry.c"
	} else {
#line 57 "../src/Widgets/UrlEntry.vala"
		gtk_entry_set_placeholder_text ((GtkEntry*) self, NULL);
#line 2139 "UrlEntry.c"
	}
}

static void
__ephemeral_url_entry___lambda11__gtk_editable_changed (GtkEditable* _sender,
                                                        gpointer self)
{
#line 52 "../src/Widgets/UrlEntry.vala"
	_ephemeral_url_entry___lambda11_ (self);
#line 2149 "UrlEntry.c"
}

static gchar*
string_strip (const gchar* self)
{
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
	gchar* result = NULL;
#line 1307 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1308 "glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1308 "glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1309 "glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1309 "glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1310 "glib-2.0.vapi"
	result = _result_;
#line 1310 "glib-2.0.vapi"
	return result;
#line 2173 "UrlEntry.c"
}

static void
_ephemeral_url_entry___lambda12_ (EphemeralUrlEntry* self)
{
	const gchar* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	const gchar* _tmp4_;
	const gchar* _tmp5_;
	gint _tmp6_;
	gint _tmp7_;
	const gchar* _tmp8_;
	const gchar* _tmp9_;
#line 64 "../src/Widgets/UrlEntry.vala"
	_tmp0_ = gtk_entry_get_text ((GtkEntry*) self);
#line 64 "../src/Widgets/UrlEntry.vala"
	_tmp1_ = _tmp0_;
#line 64 "../src/Widgets/UrlEntry.vala"
	_tmp2_ = string_strip (_tmp1_);
#line 64 "../src/Widgets/UrlEntry.vala"
	_tmp3_ = _tmp2_;
#line 64 "../src/Widgets/UrlEntry.vala"
	_tmp4_ = gtk_entry_get_text ((GtkEntry*) self);
#line 64 "../src/Widgets/UrlEntry.vala"
	_tmp5_ = _tmp4_;
#line 64 "../src/Widgets/UrlEntry.vala"
	_tmp6_ = strlen (_tmp5_);
#line 64 "../src/Widgets/UrlEntry.vala"
	_tmp7_ = _tmp6_;
#line 64 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_filter_suggestions (self, _tmp3_, !(_tmp7_ >= 2));
#line 64 "../src/Widgets/UrlEntry.vala"
	_g_free0 (_tmp3_);
#line 66 "../src/Widgets/UrlEntry.vala"
	_tmp8_ = gtk_entry_get_text ((GtkEntry*) self);
#line 66 "../src/Widgets/UrlEntry.vala"
	_tmp9_ = _tmp8_;
#line 66 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_set_last_text (self, _tmp9_);
#line 2215 "UrlEntry.c"
}

static void
__ephemeral_url_entry___lambda12__gtk_editable_changed (GtkEditable* _sender,
                                                        gpointer self)
{
#line 63 "../src/Widgets/UrlEntry.vala"
	_ephemeral_url_entry___lambda12_ ((EphemeralUrlEntry*) self);
#line 2224 "UrlEntry.c"
}

static void
_ephemeral_url_entry___lambda13_ (EphemeralUrlEntry* self)
{
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	gchar* url = NULL;
	DzlSuggestion* _tmp5_;
	const gchar* _tmp6_;
	const gchar* _tmp7_;
	gchar* _tmp8_ = NULL;
	EphemeralWebView* _tmp9_;
	const gchar* _tmp10_;
	EphemeralWebView* _tmp11_;
#line 71 "../src/Widgets/UrlEntry.vala"
	_tmp1_ = gtk_entry_get_text ((GtkEntry*) self);
#line 71 "../src/Widgets/UrlEntry.vala"
	_tmp2_ = _tmp1_;
#line 71 "../src/Widgets/UrlEntry.vala"
	if (g_strcmp0 (_tmp2_, "") == 0) {
#line 71 "../src/Widgets/UrlEntry.vala"
		_tmp0_ = TRUE;
#line 2249 "UrlEntry.c"
	} else {
		const gchar* _tmp3_;
		const gchar* _tmp4_;
#line 71 "../src/Widgets/UrlEntry.vala"
		_tmp3_ = gtk_entry_get_text ((GtkEntry*) self);
#line 71 "../src/Widgets/UrlEntry.vala"
		_tmp4_ = _tmp3_;
#line 71 "../src/Widgets/UrlEntry.vala"
		_tmp0_ = _tmp4_ == NULL;
#line 2259 "UrlEntry.c"
	}
#line 71 "../src/Widgets/UrlEntry.vala"
	if (_tmp0_) {
#line 72 "../src/Widgets/UrlEntry.vala"
		gdk_beep ();
#line 73 "../src/Widgets/UrlEntry.vala"
		return;
#line 2267 "UrlEntry.c"
	}
#line 77 "../src/Widgets/UrlEntry.vala"
	_tmp5_ = dzl_suggestion_entry_get_suggestion ((DzlSuggestionEntry*) self);
#line 77 "../src/Widgets/UrlEntry.vala"
	_tmp6_ = dzl_suggestion_get_id (_tmp5_);
#line 77 "../src/Widgets/UrlEntry.vala"
	_tmp7_ = _tmp6_;
#line 77 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_format_url (self, _tmp7_, &_tmp8_);
#line 77 "../src/Widgets/UrlEntry.vala"
	_g_free0 (url);
#line 77 "../src/Widgets/UrlEntry.vala"
	url = _tmp8_;
#line 79 "../src/Widgets/UrlEntry.vala"
	_tmp9_ = self->priv->_web_view;
#line 79 "../src/Widgets/UrlEntry.vala"
	_tmp10_ = url;
#line 79 "../src/Widgets/UrlEntry.vala"
	webkit_web_view_load_uri ((WebKitWebView*) _tmp9_, _tmp10_);
#line 80 "../src/Widgets/UrlEntry.vala"
	_tmp11_ = self->priv->_web_view;
#line 80 "../src/Widgets/UrlEntry.vala"
	gtk_widget_grab_focus ((GtkWidget*) _tmp11_);
#line 69 "../src/Widgets/UrlEntry.vala"
	_g_free0 (url);
#line 2293 "UrlEntry.c"
}

static void
__ephemeral_url_entry___lambda13__dzl_suggestion_entry_activate_suggestion (DzlSuggestionEntry* _sender,
                                                                            gpointer self)
{
#line 69 "../src/Widgets/UrlEntry.vala"
	_ephemeral_url_entry___lambda13_ ((EphemeralUrlEntry*) self);
#line 2302 "UrlEntry.c"
}

static void
_ephemeral_url_entry___lambda14_ (EphemeralUrlEntry* self)
{
	DzlSuggestion* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
#line 85 "../src/Widgets/UrlEntry.vala"
	_tmp0_ = dzl_suggestion_entry_get_suggestion ((DzlSuggestionEntry*) self);
#line 85 "../src/Widgets/UrlEntry.vala"
	_tmp1_ = dzl_suggestion_get_id (_tmp0_);
#line 85 "../src/Widgets/UrlEntry.vala"
	_tmp2_ = _tmp1_;
#line 85 "../src/Widgets/UrlEntry.vala"
	gtk_entry_set_text ((GtkEntry*) self, _tmp2_);
#line 2319 "UrlEntry.c"
}

static void
__ephemeral_url_entry___lambda14__dzl_suggestion_entry_suggestion_activated (DzlSuggestionEntry* _sender,
                                                                             DzlSuggestion* suggestion,
                                                                             gpointer self)
{
#line 83 "../src/Widgets/UrlEntry.vala"
	_ephemeral_url_entry___lambda14_ ((EphemeralUrlEntry*) self);
#line 2329 "UrlEntry.c"
}

static void
_ephemeral_url_entry___lambda15_ (Block16Data* _data16_,
                                  gint amount)
{
	EphemeralUrlEntry* self;
	gint current_index = 0;
	GObject* new_item = NULL;
	GListModel* _tmp12_;
	GObject* _tmp13_;
	GObject* _tmp14_;
	GObject* _tmp17_;
	const gchar* _tmp18_;
	const gchar* _tmp19_;
#line 88 "../src/Widgets/UrlEntry.vala"
	self = _data16_->self;
#line 90 "../src/Widgets/UrlEntry.vala"
	current_index = 0;
#line 2349 "UrlEntry.c"
	{
		gint i = 0;
#line 91 "../src/Widgets/UrlEntry.vala"
		i = 0;
#line 2354 "UrlEntry.c"
		{
			gboolean _tmp0_ = FALSE;
#line 91 "../src/Widgets/UrlEntry.vala"
			_tmp0_ = TRUE;
#line 91 "../src/Widgets/UrlEntry.vala"
			while (TRUE) {
#line 2361 "UrlEntry.c"
				GListModel* _tmp2_;
				DzlSuggestion* item = NULL;
				GListModel* _tmp3_;
				GObject* _tmp4_;
				DzlSuggestion* _tmp5_;
				DzlSuggestion* _tmp6_;
				const gchar* _tmp7_;
				const gchar* _tmp8_;
				DzlSuggestion* _tmp9_;
				const gchar* _tmp10_;
				const gchar* _tmp11_;
#line 91 "../src/Widgets/UrlEntry.vala"
				if (!_tmp0_) {
#line 2375 "UrlEntry.c"
					gint _tmp1_;
#line 91 "../src/Widgets/UrlEntry.vala"
					_tmp1_ = i;
#line 91 "../src/Widgets/UrlEntry.vala"
					i = _tmp1_ + 1;
#line 2381 "UrlEntry.c"
				}
#line 91 "../src/Widgets/UrlEntry.vala"
				_tmp0_ = FALSE;
#line 91 "../src/Widgets/UrlEntry.vala"
				_tmp2_ = dzl_suggestion_entry_get_model ((DzlSuggestionEntry*) self);
#line 91 "../src/Widgets/UrlEntry.vala"
				if (!(((guint) i) < g_list_model_get_n_items (_tmp2_))) {
#line 91 "../src/Widgets/UrlEntry.vala"
					break;
#line 2391 "UrlEntry.c"
				}
#line 92 "../src/Widgets/UrlEntry.vala"
				_tmp3_ = dzl_suggestion_entry_get_model ((DzlSuggestionEntry*) self);
#line 92 "../src/Widgets/UrlEntry.vala"
				_tmp4_ = g_list_model_get_item (_tmp3_, (guint) i);
#line 92 "../src/Widgets/UrlEntry.vala"
				_tmp5_ = G_TYPE_CHECK_INSTANCE_TYPE (_tmp4_, dzl_suggestion_get_type ()) ? ((DzlSuggestion*) _tmp4_) : NULL;
#line 92 "../src/Widgets/UrlEntry.vala"
				if (_tmp5_ == NULL) {
#line 92 "../src/Widgets/UrlEntry.vala"
					_g_object_unref0 (_tmp4_);
#line 2403 "UrlEntry.c"
				}
#line 92 "../src/Widgets/UrlEntry.vala"
				item = _tmp5_;
#line 93 "../src/Widgets/UrlEntry.vala"
				_tmp6_ = item;
#line 93 "../src/Widgets/UrlEntry.vala"
				_tmp7_ = dzl_suggestion_get_id (_tmp6_);
#line 93 "../src/Widgets/UrlEntry.vala"
				_tmp8_ = _tmp7_;
#line 93 "../src/Widgets/UrlEntry.vala"
				_tmp9_ = dzl_suggestion_entry_get_suggestion ((DzlSuggestionEntry*) self);
#line 93 "../src/Widgets/UrlEntry.vala"
				_tmp10_ = dzl_suggestion_get_id (_tmp9_);
#line 93 "../src/Widgets/UrlEntry.vala"
				_tmp11_ = _tmp10_;
#line 93 "../src/Widgets/UrlEntry.vala"
				if (g_strcmp0 (_tmp8_, _tmp11_) == 0) {
#line 94 "../src/Widgets/UrlEntry.vala"
					current_index = i;
#line 95 "../src/Widgets/UrlEntry.vala"
					_g_object_unref0 (item);
#line 95 "../src/Widgets/UrlEntry.vala"
					break;
#line 2427 "UrlEntry.c"
				}
#line 91 "../src/Widgets/UrlEntry.vala"
				_g_object_unref0 (item);
#line 2431 "UrlEntry.c"
			}
		}
	}
#line 99 "../src/Widgets/UrlEntry.vala"
	_tmp12_ = dzl_suggestion_entry_get_model ((DzlSuggestionEntry*) self);
#line 99 "../src/Widgets/UrlEntry.vala"
	_tmp13_ = g_list_model_get_item (_tmp12_, (guint) (current_index + amount));
#line 99 "../src/Widgets/UrlEntry.vala"
	new_item = _tmp13_;
#line 100 "../src/Widgets/UrlEntry.vala"
	_tmp14_ = new_item;
#line 100 "../src/Widgets/UrlEntry.vala"
	if (_tmp14_ == NULL) {
#line 2445 "UrlEntry.c"
		DzlSuggestion* _tmp15_;
		GObject* _tmp16_;
#line 101 "../src/Widgets/UrlEntry.vala"
		_tmp15_ = dzl_suggestion_entry_get_suggestion ((DzlSuggestionEntry*) self);
#line 101 "../src/Widgets/UrlEntry.vala"
		_tmp16_ = _g_object_ref0 ((GObject*) _tmp15_);
#line 101 "../src/Widgets/UrlEntry.vala"
		_g_object_unref0 (new_item);
#line 101 "../src/Widgets/UrlEntry.vala"
		new_item = _tmp16_;
#line 2456 "UrlEntry.c"
	}
#line 105 "../src/Widgets/UrlEntry.vala"
	g_signal_handler_block (self, _data16_->changed_event);
#line 106 "../src/Widgets/UrlEntry.vala"
	_tmp17_ = new_item;
#line 106 "../src/Widgets/UrlEntry.vala"
	_tmp18_ = dzl_suggestion_get_id (G_TYPE_CHECK_INSTANCE_TYPE (_tmp17_, dzl_suggestion_get_type ()) ? ((DzlSuggestion*) _tmp17_) : NULL);
#line 106 "../src/Widgets/UrlEntry.vala"
	_tmp19_ = _tmp18_;
#line 106 "../src/Widgets/UrlEntry.vala"
	gtk_entry_set_text ((GtkEntry*) self, _tmp19_);
#line 107 "../src/Widgets/UrlEntry.vala"
	g_signal_handler_unblock (self, _data16_->changed_event);
#line 108 "../src/Widgets/UrlEntry.vala"
	gtk_editable_set_position ((GtkEditable*) self, -1);
#line 88 "../src/Widgets/UrlEntry.vala"
	_g_object_unref0 (new_item);
#line 2474 "UrlEntry.c"
}

static void
__ephemeral_url_entry___lambda15__dzl_suggestion_entry_move_suggestion (DzlSuggestionEntry* _sender,
                                                                        gint amount,
                                                                        gpointer self)
{
#line 88 "../src/Widgets/UrlEntry.vala"
	_ephemeral_url_entry___lambda15_ (self, amount);
#line 2484 "UrlEntry.c"
}

static gboolean
_ephemeral_url_entry___lambda16_ (EphemeralUrlEntry* self,
                                  GdkEventFocus* event)
{
	gboolean result = FALSE;
#line 111 "../src/Widgets/UrlEntry.vala"
	g_return_val_if_fail (event != NULL, FALSE);
#line 112 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_set_secondary_icon (self);
#line 114 "../src/Widgets/UrlEntry.vala"
	result = FALSE;
#line 114 "../src/Widgets/UrlEntry.vala"
	return result;
#line 2500 "UrlEntry.c"
}

static gboolean
__ephemeral_url_entry___lambda16__gtk_widget_focus_in_event (GtkWidget* _sender,
                                                             GdkEventFocus* event,
                                                             gpointer self)
{
	gboolean result;
	result = _ephemeral_url_entry___lambda16_ ((EphemeralUrlEntry*) self, event);
#line 111 "../src/Widgets/UrlEntry.vala"
	return result;
#line 2512 "UrlEntry.c"
}

static gboolean
_ephemeral_url_entry___lambda17_ (EphemeralUrlEntry* self,
                                  GdkEventFocus* event)
{
	gchar* uri = NULL;
	EphemeralWebView* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_;
	gboolean _tmp3_ = FALSE;
	const gchar* _tmp4_;
	gboolean result = FALSE;
#line 117 "../src/Widgets/UrlEntry.vala"
	g_return_val_if_fail (event != NULL, FALSE);
#line 118 "../src/Widgets/UrlEntry.vala"
	_tmp0_ = self->priv->_web_view;
#line 118 "../src/Widgets/UrlEntry.vala"
	_tmp1_ = webkit_web_view_get_uri ((WebKitWebView*) _tmp0_);
#line 118 "../src/Widgets/UrlEntry.vala"
	_tmp2_ = g_strdup (_tmp1_);
#line 118 "../src/Widgets/UrlEntry.vala"
	uri = _tmp2_;
#line 120 "../src/Widgets/UrlEntry.vala"
	_tmp4_ = uri;
#line 120 "../src/Widgets/UrlEntry.vala"
	if (_tmp4_ == NULL) {
#line 120 "../src/Widgets/UrlEntry.vala"
		_tmp3_ = TRUE;
#line 2542 "UrlEntry.c"
	} else {
		const gchar* _tmp5_;
#line 120 "../src/Widgets/UrlEntry.vala"
		_tmp5_ = uri;
#line 120 "../src/Widgets/UrlEntry.vala"
		_tmp3_ = g_strcmp0 (_tmp5_, "about:blank") == 0;
#line 2549 "UrlEntry.c"
	}
#line 120 "../src/Widgets/UrlEntry.vala"
	if (_tmp3_) {
#line 121 "../src/Widgets/UrlEntry.vala"
		gtk_entry_set_text ((GtkEntry*) self, "");
#line 2555 "UrlEntry.c"
	} else {
		const gchar* _tmp6_;
		const gchar* _tmp7_;
#line 122 "../src/Widgets/UrlEntry.vala"
		_tmp6_ = gtk_entry_get_text ((GtkEntry*) self);
#line 122 "../src/Widgets/UrlEntry.vala"
		_tmp7_ = _tmp6_;
#line 122 "../src/Widgets/UrlEntry.vala"
		if (g_strcmp0 (_tmp7_, "") == 0) {
#line 2565 "UrlEntry.c"
			const gchar* _tmp8_;
#line 123 "../src/Widgets/UrlEntry.vala"
			_tmp8_ = uri;
#line 123 "../src/Widgets/UrlEntry.vala"
			gtk_entry_set_text ((GtkEntry*) self, _tmp8_);
#line 2571 "UrlEntry.c"
		}
	}
#line 126 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_set_secondary_icon (self);
#line 128 "../src/Widgets/UrlEntry.vala"
	result = FALSE;
#line 128 "../src/Widgets/UrlEntry.vala"
	_g_free0 (uri);
#line 128 "../src/Widgets/UrlEntry.vala"
	return result;
#line 2582 "UrlEntry.c"
}

static gboolean
__ephemeral_url_entry___lambda17__gtk_widget_focus_out_event (GtkWidget* _sender,
                                                              GdkEventFocus* event,
                                                              gpointer self)
{
	gboolean result;
	result = _ephemeral_url_entry___lambda17_ ((EphemeralUrlEntry*) self, event);
#line 117 "../src/Widgets/UrlEntry.vala"
	return result;
#line 2594 "UrlEntry.c"
}

static void
_vala_array_add2 (gchar** * array,
                  int* length,
                  int* size,
                  gchar* value)
{
#line 149 "../src/Widgets/UrlEntry.vala"
	if ((*length) == (*size)) {
#line 149 "../src/Widgets/UrlEntry.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 149 "../src/Widgets/UrlEntry.vala"
		*array = g_renew (gchar*, *array, (*size) + 1);
#line 2609 "UrlEntry.c"
	}
#line 149 "../src/Widgets/UrlEntry.vala"
	(*array)[(*length)++] = value;
#line 149 "../src/Widgets/UrlEntry.vala"
	(*array)[*length] = NULL;
#line 2615 "UrlEntry.c"
}

static gchar**
_vala_array_dup1 (gchar** self,
                  int length)
{
	gchar** result;
	int i;
#line 153 "../src/Widgets/UrlEntry.vala"
	result = g_new0 (gchar*, length + 1);
#line 153 "../src/Widgets/UrlEntry.vala"
	for (i = 0; i < length; i++) {
#line 2628 "UrlEntry.c"
		gchar* _tmp0_;
#line 153 "../src/Widgets/UrlEntry.vala"
		_tmp0_ = g_strdup (self[i]);
#line 153 "../src/Widgets/UrlEntry.vala"
		result[i] = _tmp0_;
#line 2634 "UrlEntry.c"
	}
#line 153 "../src/Widgets/UrlEntry.vala"
	return result;
#line 2638 "UrlEntry.c"
}

static void
_vala_array_add3 (gchar** * array,
                  int* length,
                  int* size,
                  gchar* value)
{
#line 157 "../src/Widgets/UrlEntry.vala"
	if ((*length) == (*size)) {
#line 157 "../src/Widgets/UrlEntry.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 157 "../src/Widgets/UrlEntry.vala"
		*array = g_renew (gchar*, *array, (*size) + 1);
#line 2653 "UrlEntry.c"
	}
#line 157 "../src/Widgets/UrlEntry.vala"
	(*array)[(*length)++] = value;
#line 157 "../src/Widgets/UrlEntry.vala"
	(*array)[*length] = NULL;
#line 2659 "UrlEntry.c"
}

static void
_ephemeral_url_entry___lambda18_ (EphemeralUrlEntry* self,
                                  GtkEntryIconPosition icon_pos,
                                  GdkEventButton* event)
{
#line 131 "../src/Widgets/UrlEntry.vala"
	g_return_if_fail (event != NULL);
#line 132 "../src/Widgets/UrlEntry.vala"
	if (icon_pos == GTK_ENTRY_ICON_PRIMARY) {
#line 133 "../src/Widgets/UrlEntry.vala"
		gtk_widget_grab_focus ((GtkWidget*) self);
#line 2673 "UrlEntry.c"
	} else {
#line 134 "../src/Widgets/UrlEntry.vala"
		if (icon_pos == GTK_ENTRY_ICON_SECONDARY) {
#line 2677 "UrlEntry.c"
			gboolean _tmp0_;
			gboolean _tmp1_;
#line 135 "../src/Widgets/UrlEntry.vala"
			g_object_get ((GtkWidget*) self, "has-focus", &_tmp0_, NULL);
#line 135 "../src/Widgets/UrlEntry.vala"
			_tmp1_ = _tmp0_;
#line 135 "../src/Widgets/UrlEntry.vala"
			if (_tmp1_) {
#line 136 "../src/Widgets/UrlEntry.vala"
				g_signal_emit_by_name ((GtkEntry*) self, "activate");
#line 2688 "UrlEntry.c"
			} else {
				gchar** current_favorites = NULL;
				GSettings* _tmp2_;
				gchar** _tmp3_;
				gchar** _tmp4_;
				gint current_favorites_length1;
				gint _current_favorites_size_;
				SoupURI* uri = NULL;
				EphemeralWebView* _tmp5_;
				const gchar* _tmp6_;
				SoupURI* _tmp7_;
				SoupURI* _tmp8_;
#line 138 "../src/Widgets/UrlEntry.vala"
				_tmp2_ = ephemeral_application_settings;
#line 138 "../src/Widgets/UrlEntry.vala"
				_tmp4_ = _tmp3_ = g_settings_get_strv (_tmp2_, "favorite-websites");
#line 138 "../src/Widgets/UrlEntry.vala"
				current_favorites = _tmp4_;
#line 138 "../src/Widgets/UrlEntry.vala"
				current_favorites_length1 = _vala_array_length (_tmp3_);
#line 138 "../src/Widgets/UrlEntry.vala"
				_current_favorites_size_ = current_favorites_length1;
#line 139 "../src/Widgets/UrlEntry.vala"
				_tmp5_ = self->priv->_web_view;
#line 139 "../src/Widgets/UrlEntry.vala"
				_tmp6_ = webkit_web_view_get_uri ((WebKitWebView*) _tmp5_);
#line 139 "../src/Widgets/UrlEntry.vala"
				_tmp7_ = soup_uri_new (_tmp6_);
#line 139 "../src/Widgets/UrlEntry.vala"
				uri = _tmp7_;
#line 141 "../src/Widgets/UrlEntry.vala"
				_tmp8_ = uri;
#line 141 "../src/Widgets/UrlEntry.vala"
				if (_tmp8_ != NULL) {
#line 2723 "UrlEntry.c"
					gchar* favorite = NULL;
					SoupURI* _tmp9_;
					const gchar* _tmp10_;
					gchar* _tmp11_;
					const gchar* _tmp12_;
					gchar** _tmp13_;
					gint _tmp13__length1;
					GSettings* _tmp31_;
					gchar** _tmp32_;
					gint _tmp32__length1;
#line 142 "../src/Widgets/UrlEntry.vala"
					_tmp9_ = uri;
#line 142 "../src/Widgets/UrlEntry.vala"
					_tmp10_ = soup_uri_get_host (_tmp9_);
#line 142 "../src/Widgets/UrlEntry.vala"
					_tmp11_ = g_strdup (_tmp10_);
#line 142 "../src/Widgets/UrlEntry.vala"
					favorite = _tmp11_;
#line 144 "../src/Widgets/UrlEntry.vala"
					_tmp12_ = favorite;
#line 144 "../src/Widgets/UrlEntry.vala"
					_tmp13_ = current_favorites;
#line 144 "../src/Widgets/UrlEntry.vala"
					_tmp13__length1 = current_favorites_length1;
#line 144 "../src/Widgets/UrlEntry.vala"
					if (_vala_string_array_contains (_tmp13_, _tmp13__length1, _tmp12_)) {
#line 2750 "UrlEntry.c"
						const gchar* _tmp14_;
						gchar** pruned_favorites = NULL;
						gchar** _tmp15_;
						gint pruned_favorites_length1;
						gint _pruned_favorites_size_;
						gchar** _tmp16_;
						gint _tmp16__length1;
						gchar** _tmp23_;
						gint _tmp23__length1;
						gchar** _tmp24_;
						gint _tmp24__length1;
						gchar** _tmp25_;
						gint _tmp25__length1;
#line 145 "../src/Widgets/UrlEntry.vala"
						_tmp14_ = favorite;
#line 145 "../src/Widgets/UrlEntry.vala"
						g_debug ("UrlEntry.vala:145: %s is already a favorite, so removing…", _tmp14_);
#line 146 "../src/Widgets/UrlEntry.vala"
						_tmp15_ = g_new0 (gchar*, 0 + 1);
#line 146 "../src/Widgets/UrlEntry.vala"
						pruned_favorites = _tmp15_;
#line 146 "../src/Widgets/UrlEntry.vala"
						pruned_favorites_length1 = 0;
#line 146 "../src/Widgets/UrlEntry.vala"
						_pruned_favorites_size_ = pruned_favorites_length1;
#line 147 "../src/Widgets/UrlEntry.vala"
						_tmp16_ = current_favorites;
#line 147 "../src/Widgets/UrlEntry.vala"
						_tmp16__length1 = current_favorites_length1;
#line 2780 "UrlEntry.c"
						{
							gchar** existing_favorite_collection = NULL;
							gint existing_favorite_collection_length1 = 0;
							gint _existing_favorite_collection_size_ = 0;
							gint existing_favorite_it = 0;
#line 147 "../src/Widgets/UrlEntry.vala"
							existing_favorite_collection = _tmp16_;
#line 147 "../src/Widgets/UrlEntry.vala"
							existing_favorite_collection_length1 = _tmp16__length1;
#line 147 "../src/Widgets/UrlEntry.vala"
							for (existing_favorite_it = 0; existing_favorite_it < existing_favorite_collection_length1; existing_favorite_it = existing_favorite_it + 1) {
#line 2792 "UrlEntry.c"
								gchar* _tmp17_;
								gchar* existing_favorite = NULL;
#line 147 "../src/Widgets/UrlEntry.vala"
								_tmp17_ = g_strdup (existing_favorite_collection[existing_favorite_it]);
#line 147 "../src/Widgets/UrlEntry.vala"
								existing_favorite = _tmp17_;
#line 2799 "UrlEntry.c"
								{
									const gchar* _tmp18_;
									const gchar* _tmp19_;
#line 148 "../src/Widgets/UrlEntry.vala"
									_tmp18_ = existing_favorite;
#line 148 "../src/Widgets/UrlEntry.vala"
									_tmp19_ = favorite;
#line 148 "../src/Widgets/UrlEntry.vala"
									if (g_strcmp0 (_tmp18_, _tmp19_) != 0) {
#line 2809 "UrlEntry.c"
										gchar** _tmp20_;
										gint _tmp20__length1;
										const gchar* _tmp21_;
										gchar* _tmp22_;
#line 149 "../src/Widgets/UrlEntry.vala"
										_tmp20_ = pruned_favorites;
#line 149 "../src/Widgets/UrlEntry.vala"
										_tmp20__length1 = pruned_favorites_length1;
#line 149 "../src/Widgets/UrlEntry.vala"
										_tmp21_ = existing_favorite;
#line 149 "../src/Widgets/UrlEntry.vala"
										_tmp22_ = g_strdup (_tmp21_);
#line 149 "../src/Widgets/UrlEntry.vala"
										_vala_array_add2 (&pruned_favorites, &pruned_favorites_length1, &_pruned_favorites_size_, _tmp22_);
#line 2824 "UrlEntry.c"
									}
#line 147 "../src/Widgets/UrlEntry.vala"
									_g_free0 (existing_favorite);
#line 2828 "UrlEntry.c"
								}
							}
						}
#line 153 "../src/Widgets/UrlEntry.vala"
						_tmp23_ = pruned_favorites;
#line 153 "../src/Widgets/UrlEntry.vala"
						_tmp23__length1 = pruned_favorites_length1;
#line 153 "../src/Widgets/UrlEntry.vala"
						_tmp24_ = (_tmp23_ != NULL) ? _vala_array_dup1 (_tmp23_, _tmp23__length1) : ((gpointer) _tmp23_);
#line 153 "../src/Widgets/UrlEntry.vala"
						_tmp24__length1 = _tmp23__length1;
#line 153 "../src/Widgets/UrlEntry.vala"
						current_favorites = (_vala_array_free (current_favorites, current_favorites_length1, (GDestroyNotify) g_free), NULL);
#line 153 "../src/Widgets/UrlEntry.vala"
						current_favorites = _tmp24_;
#line 153 "../src/Widgets/UrlEntry.vala"
						current_favorites_length1 = _tmp24__length1;
#line 153 "../src/Widgets/UrlEntry.vala"
						_current_favorites_size_ = current_favorites_length1;
#line 154 "../src/Widgets/UrlEntry.vala"
						_tmp25_ = current_favorites;
#line 154 "../src/Widgets/UrlEntry.vala"
						_tmp25__length1 = current_favorites_length1;
#line 154 "../src/Widgets/UrlEntry.vala"
						ephemeral_url_entry_reset_suggestions (self, _tmp25_, (gint) _tmp25__length1);
#line 144 "../src/Widgets/UrlEntry.vala"
						pruned_favorites = (_vala_array_free (pruned_favorites, pruned_favorites_length1, (GDestroyNotify) g_free), NULL);
#line 2856 "UrlEntry.c"
					} else {
						const gchar* _tmp26_;
						gchar** _tmp27_;
						gint _tmp27__length1;
						const gchar* _tmp28_;
						gchar* _tmp29_;
						gchar** _tmp30_;
						gint _tmp30__length1;
#line 156 "../src/Widgets/UrlEntry.vala"
						_tmp26_ = favorite;
#line 156 "../src/Widgets/UrlEntry.vala"
						g_debug ("UrlEntry.vala:156: %s is not a favorite, so adding…", _tmp26_);
#line 157 "../src/Widgets/UrlEntry.vala"
						_tmp27_ = current_favorites;
#line 157 "../src/Widgets/UrlEntry.vala"
						_tmp27__length1 = current_favorites_length1;
#line 157 "../src/Widgets/UrlEntry.vala"
						_tmp28_ = favorite;
#line 157 "../src/Widgets/UrlEntry.vala"
						_tmp29_ = g_strdup (_tmp28_);
#line 157 "../src/Widgets/UrlEntry.vala"
						_vala_array_add3 (&current_favorites, &current_favorites_length1, &_current_favorites_size_, _tmp29_);
#line 158 "../src/Widgets/UrlEntry.vala"
						_tmp30_ = current_favorites;
#line 158 "../src/Widgets/UrlEntry.vala"
						_tmp30__length1 = current_favorites_length1;
#line 158 "../src/Widgets/UrlEntry.vala"
						ephemeral_url_entry_reset_suggestions (self, _tmp30_, (gint) _tmp30__length1);
#line 2885 "UrlEntry.c"
					}
#line 161 "../src/Widgets/UrlEntry.vala"
					_tmp31_ = ephemeral_application_settings;
#line 161 "../src/Widgets/UrlEntry.vala"
					_tmp32_ = current_favorites;
#line 161 "../src/Widgets/UrlEntry.vala"
					_tmp32__length1 = current_favorites_length1;
#line 161 "../src/Widgets/UrlEntry.vala"
					g_settings_set_strv (_tmp31_, "favorite-websites", _tmp32_);
#line 162 "../src/Widgets/UrlEntry.vala"
					ephemeral_url_entry_set_secondary_icon (self);
#line 141 "../src/Widgets/UrlEntry.vala"
					_g_free0 (favorite);
#line 2899 "UrlEntry.c"
				}
#line 135 "../src/Widgets/UrlEntry.vala"
				__vala_SoupURI_free0 (uri);
#line 135 "../src/Widgets/UrlEntry.vala"
				current_favorites = (_vala_array_free (current_favorites, current_favorites_length1, (GDestroyNotify) g_free), NULL);
#line 2905 "UrlEntry.c"
			}
		}
	}
}

static void
__ephemeral_url_entry___lambda18__gtk_entry_icon_release (GtkEntry* _sender,
                                                          GtkEntryIconPosition icon_pos,
                                                          GdkEventButton* event,
                                                          gpointer self)
{
#line 131 "../src/Widgets/UrlEntry.vala"
	_ephemeral_url_entry___lambda18_ ((EphemeralUrlEntry*) self, icon_pos, event);
#line 2919 "UrlEntry.c"
}

static void
_ephemeral_url_entry___lambda19_ (Block16Data* _data16_,
                                  WebKitWebView* source,
                                  WebKitLoadEvent e)
{
	EphemeralUrlEntry* self;
	gboolean _tmp0_;
	gboolean _tmp1_;
#line 169 "../src/Widgets/UrlEntry.vala"
	self = _data16_->self;
#line 169 "../src/Widgets/UrlEntry.vala"
	g_return_if_fail (source != NULL);
#line 170 "../src/Widgets/UrlEntry.vala"
	g_signal_handler_block (self, _data16_->changed_event);
#line 171 "../src/Widgets/UrlEntry.vala"
	g_object_get ((GtkWidget*) self, "has-focus", &_tmp0_, NULL);
#line 171 "../src/Widgets/UrlEntry.vala"
	_tmp1_ = _tmp0_;
#line 171 "../src/Widgets/UrlEntry.vala"
	if (!_tmp1_) {
#line 2942 "UrlEntry.c"
		const gchar* _tmp2_;
#line 172 "../src/Widgets/UrlEntry.vala"
		_tmp2_ = webkit_web_view_get_uri (source);
#line 172 "../src/Widgets/UrlEntry.vala"
		gtk_entry_set_text ((GtkEntry*) self, _tmp2_);
#line 173 "../src/Widgets/UrlEntry.vala"
		ephemeral_url_entry_set_secondary_icon (self);
#line 2950 "UrlEntry.c"
	}
#line 175 "../src/Widgets/UrlEntry.vala"
	g_signal_handler_unblock (self, _data16_->changed_event);
#line 2954 "UrlEntry.c"
}

static void
__ephemeral_url_entry___lambda19__webkit_web_view_load_changed (WebKitWebView* _sender,
                                                                WebKitLoadEvent load_event,
                                                                gpointer self)
{
#line 169 "../src/Widgets/UrlEntry.vala"
	_ephemeral_url_entry___lambda19_ (self, _sender, load_event);
#line 2964 "UrlEntry.c"
}

static GObject *
ephemeral_url_entry_constructor (GType type,
                                 guint n_construct_properties,
                                 GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	EphemeralUrlEntry * self;
	Block16Data* _data16_;
	gchar* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_;
	gchar** _tmp3_;
	gchar** _tmp4_;
	gint _tmp4__length1;
	const gchar* _tmp5_;
	gchar* _tmp6_;
	gchar* _tmp7_;
	const gchar* _tmp8_;
	gchar* _tmp9_;
	gchar** _tmp10_;
	gchar** _tmp11_;
	gint _tmp11__length1;
	gchar* _tmp12_;
	gchar* _tmp13_;
	gchar* _tmp14_;
	gchar* _tmp15_;
	gchar* _tmp16_;
	gchar** initial_favorites = NULL;
	GSettings* _tmp17_;
	gchar** _tmp18_;
	gchar** _tmp19_;
	gint initial_favorites_length1;
	gint _initial_favorites_size_;
	gchar** _tmp20_;
	gint _tmp20__length1;
	gulong _tmp21_;
	EphemeralWebView* _tmp22_;
#line 37 "../src/Widgets/UrlEntry.vala"
	parent_class = G_OBJECT_CLASS (ephemeral_url_entry_parent_class);
#line 37 "../src/Widgets/UrlEntry.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 37 "../src/Widgets/UrlEntry.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, EPHEMERAL_TYPE_URL_ENTRY, EphemeralUrlEntry);
#line 37 "../src/Widgets/UrlEntry.vala"
	_data16_ = g_slice_new0 (Block16Data);
#line 37 "../src/Widgets/UrlEntry.vala"
	_data16_->_ref_count_ = 1;
#line 37 "../src/Widgets/UrlEntry.vala"
	_data16_->self = g_object_ref (self);
#line 38 "../src/Widgets/UrlEntry.vala"
	_tmp0_ = g_strdup (_ ("Enter a URL or search term"));
#line 38 "../src/Widgets/UrlEntry.vala"
	_data16_->tooltip_text = _tmp0_;
#line 39 "../src/Widgets/UrlEntry.vala"
	_tmp1_ = _data16_->tooltip_text;
#line 39 "../src/Widgets/UrlEntry.vala"
	gtk_entry_set_placeholder_text ((GtkEntry*) self, _tmp1_);
#line 40 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_set_last_text (self, "");
#line 42 "../src/Widgets/UrlEntry.vala"
	_tmp2_ = g_strdup ("<Ctrl>l");
#line 42 "../src/Widgets/UrlEntry.vala"
	_tmp3_ = g_new0 (gchar*, 1 + 1);
#line 42 "../src/Widgets/UrlEntry.vala"
	_tmp3_[0] = _tmp2_;
#line 42 "../src/Widgets/UrlEntry.vala"
	_tmp4_ = _tmp3_;
#line 42 "../src/Widgets/UrlEntry.vala"
	_tmp4__length1 = 1;
#line 42 "../src/Widgets/UrlEntry.vala"
	_tmp5_ = _data16_->tooltip_text;
#line 42 "../src/Widgets/UrlEntry.vala"
	_tmp6_ = granite_markup_accel_tooltip (_tmp4_, (gint) 1, _tmp5_);
#line 42 "../src/Widgets/UrlEntry.vala"
	_tmp7_ = _tmp6_;
#line 42 "../src/Widgets/UrlEntry.vala"
	gtk_widget_set_tooltip_markup ((GtkWidget*) self, _tmp7_);
#line 42 "../src/Widgets/UrlEntry.vala"
	_g_free0 (_tmp7_);
#line 42 "../src/Widgets/UrlEntry.vala"
	_tmp4_ = (_vala_array_free (_tmp4_, _tmp4__length1, (GDestroyNotify) g_free), NULL);
#line 44 "../src/Widgets/UrlEntry.vala"
	g_object_set ((GtkEntry*) self, "primary-icon-name", "system-search-symbolic", NULL);
#line 45 "../src/Widgets/UrlEntry.vala"
	_tmp8_ = _data16_->tooltip_text;
#line 45 "../src/Widgets/UrlEntry.vala"
	g_object_set ((GtkEntry*) self, "primary-icon-tooltip-text", _tmp8_, NULL);
#line 46 "../src/Widgets/UrlEntry.vala"
	_tmp9_ = g_strdup ("<Ctrl>l");
#line 46 "../src/Widgets/UrlEntry.vala"
	_tmp10_ = g_new0 (gchar*, 1 + 1);
#line 46 "../src/Widgets/UrlEntry.vala"
	_tmp10_[0] = _tmp9_;
#line 46 "../src/Widgets/UrlEntry.vala"
	_tmp11_ = _tmp10_;
#line 46 "../src/Widgets/UrlEntry.vala"
	_tmp11__length1 = 1;
#line 46 "../src/Widgets/UrlEntry.vala"
	g_object_get ((GtkEntry*) self, "primary-icon-tooltip-text", &_tmp12_, NULL);
#line 46 "../src/Widgets/UrlEntry.vala"
	_tmp13_ = _tmp12_;
#line 46 "../src/Widgets/UrlEntry.vala"
	_tmp14_ = _tmp13_;
#line 46 "../src/Widgets/UrlEntry.vala"
	_tmp15_ = granite_markup_accel_tooltip (_tmp11_, (gint) 1, _tmp14_);
#line 46 "../src/Widgets/UrlEntry.vala"
	_tmp16_ = _tmp15_;
#line 46 "../src/Widgets/UrlEntry.vala"
	g_object_set ((GtkEntry*) self, "primary-icon-tooltip-markup", _tmp16_, NULL);
#line 46 "../src/Widgets/UrlEntry.vala"
	_g_free0 (_tmp16_);
#line 46 "../src/Widgets/UrlEntry.vala"
	_g_free0 (_tmp14_);
#line 46 "../src/Widgets/UrlEntry.vala"
	_tmp11_ = (_vala_array_free (_tmp11_, _tmp11__length1, (GDestroyNotify) g_free), NULL);
#line 48 "../src/Widgets/UrlEntry.vala"
	_tmp17_ = ephemeral_application_settings;
#line 48 "../src/Widgets/UrlEntry.vala"
	_tmp19_ = _tmp18_ = g_settings_get_strv (_tmp17_, "favorite-websites");
#line 48 "../src/Widgets/UrlEntry.vala"
	initial_favorites = _tmp19_;
#line 48 "../src/Widgets/UrlEntry.vala"
	initial_favorites_length1 = _vala_array_length (_tmp18_);
#line 48 "../src/Widgets/UrlEntry.vala"
	_initial_favorites_size_ = initial_favorites_length1;
#line 49 "../src/Widgets/UrlEntry.vala"
	_tmp20_ = initial_favorites;
#line 49 "../src/Widgets/UrlEntry.vala"
	_tmp20__length1 = initial_favorites_length1;
#line 49 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_reset_suggestions (self, _tmp20_, (gint) _tmp20__length1);
#line 50 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_set_secondary_icon (self);
#line 52 "../src/Widgets/UrlEntry.vala"
	g_signal_connect_data ((GtkEditable*) self, "changed", (GCallback) __ephemeral_url_entry___lambda11__gtk_editable_changed, block16_data_ref (_data16_), (GClosureNotify) block16_data_unref, 0);
#line 63 "../src/Widgets/UrlEntry.vala"
	_tmp21_ = g_signal_connect_object ((GtkEditable*) self, "changed", (GCallback) __ephemeral_url_entry___lambda12__gtk_editable_changed, self, 0);
#line 63 "../src/Widgets/UrlEntry.vala"
	_data16_->changed_event = _tmp21_;
#line 69 "../src/Widgets/UrlEntry.vala"
	g_signal_connect_object ((DzlSuggestionEntry*) self, "activate-suggestion", (GCallback) __ephemeral_url_entry___lambda13__dzl_suggestion_entry_activate_suggestion, self, 0);
#line 83 "../src/Widgets/UrlEntry.vala"
	g_signal_connect_object ((DzlSuggestionEntry*) self, "suggestion-activated", (GCallback) __ephemeral_url_entry___lambda14__dzl_suggestion_entry_suggestion_activated, self, 0);
#line 88 "../src/Widgets/UrlEntry.vala"
	g_signal_connect_data ((DzlSuggestionEntry*) self, "move-suggestion", (GCallback) __ephemeral_url_entry___lambda15__dzl_suggestion_entry_move_suggestion, block16_data_ref (_data16_), (GClosureNotify) block16_data_unref, 0);
#line 111 "../src/Widgets/UrlEntry.vala"
	g_signal_connect_object ((GtkWidget*) self, "focus-in-event", (GCallback) __ephemeral_url_entry___lambda16__gtk_widget_focus_in_event, self, 0);
#line 117 "../src/Widgets/UrlEntry.vala"
	g_signal_connect_object ((GtkWidget*) self, "focus-out-event", (GCallback) __ephemeral_url_entry___lambda17__gtk_widget_focus_out_event, self, 0);
#line 131 "../src/Widgets/UrlEntry.vala"
	g_signal_connect_object ((GtkEntry*) self, "icon-release", (GCallback) __ephemeral_url_entry___lambda18__gtk_entry_icon_release, self, 0);
#line 169 "../src/Widgets/UrlEntry.vala"
	_tmp22_ = self->priv->_web_view;
#line 169 "../src/Widgets/UrlEntry.vala"
	g_signal_connect_data ((WebKitWebView*) _tmp22_, "load-changed", (GCallback) __ephemeral_url_entry___lambda19__webkit_web_view_load_changed, block16_data_ref (_data16_), (GClosureNotify) block16_data_unref, 0);
#line 37 "../src/Widgets/UrlEntry.vala"
	initial_favorites = (_vala_array_free (initial_favorites, initial_favorites_length1, (GDestroyNotify) g_free), NULL);
#line 37 "../src/Widgets/UrlEntry.vala"
	return obj;
#line 3127 "UrlEntry.c"
}

static void
ephemeral_url_entry_class_init (EphemeralUrlEntryClass * klass,
                                gpointer klass_data)
{
#line 23 "../src/Widgets/UrlEntry.vala"
	ephemeral_url_entry_parent_class = g_type_class_peek_parent (klass);
#line 23 "../src/Widgets/UrlEntry.vala"
	g_type_class_adjust_private_offset (klass, &EphemeralUrlEntry_private_offset);
#line 23 "../src/Widgets/UrlEntry.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_ephemeral_url_entry_get_property;
#line 23 "../src/Widgets/UrlEntry.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_ephemeral_url_entry_set_property;
#line 23 "../src/Widgets/UrlEntry.vala"
	G_OBJECT_CLASS (klass)->constructor = ephemeral_url_entry_constructor;
#line 23 "../src/Widgets/UrlEntry.vala"
	G_OBJECT_CLASS (klass)->finalize = ephemeral_url_entry_finalize;
#line 23 "../src/Widgets/UrlEntry.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), EPHEMERAL_URL_ENTRY_WEB_VIEW_PROPERTY, ephemeral_url_entry_properties[EPHEMERAL_URL_ENTRY_WEB_VIEW_PROPERTY] = g_param_spec_object ("web-view", "web-view", "web-view", EPHEMERAL_TYPE_WEB_VIEW, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT));
#line 3148 "UrlEntry.c"
}

static void
ephemeral_url_entry_instance_init (EphemeralUrlEntry * self,
                                   gpointer klass)
{
#line 23 "../src/Widgets/UrlEntry.vala"
	self->priv = ephemeral_url_entry_get_instance_private (self);
#line 3157 "UrlEntry.c"
}

static void
ephemeral_url_entry_finalize (GObject * obj)
{
	EphemeralUrlEntry * self;
#line 23 "../src/Widgets/UrlEntry.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, EPHEMERAL_TYPE_URL_ENTRY, EphemeralUrlEntry);
#line 24 "../src/Widgets/UrlEntry.vala"
	_g_object_unref0 (self->priv->_list_store);
#line 25 "../src/Widgets/UrlEntry.vala"
	_g_free0 (self->priv->_last_text);
#line 27 "../src/Widgets/UrlEntry.vala"
	_g_object_unref0 (self->priv->_web_view);
#line 23 "../src/Widgets/UrlEntry.vala"
	G_OBJECT_CLASS (ephemeral_url_entry_parent_class)->finalize (obj);
#line 3174 "UrlEntry.c"
}

GType
ephemeral_url_entry_get_type (void)
{
	static volatile gsize ephemeral_url_entry_type_id__volatile = 0;
	if (g_once_init_enter (&ephemeral_url_entry_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (EphemeralUrlEntryClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) ephemeral_url_entry_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (EphemeralUrlEntry), 0, (GInstanceInitFunc) ephemeral_url_entry_instance_init, NULL };
		GType ephemeral_url_entry_type_id;
		ephemeral_url_entry_type_id = g_type_register_static (dzl_suggestion_entry_get_type (), "EphemeralUrlEntry", &g_define_type_info, 0);
		EphemeralUrlEntry_private_offset = g_type_add_instance_private (ephemeral_url_entry_type_id, sizeof (EphemeralUrlEntryPrivate));
		g_once_init_leave (&ephemeral_url_entry_type_id__volatile, ephemeral_url_entry_type_id);
	}
	return ephemeral_url_entry_type_id__volatile;
}

static void
_vala_ephemeral_url_entry_get_property (GObject * object,
                                        guint property_id,
                                        GValue * value,
                                        GParamSpec * pspec)
{
	EphemeralUrlEntry * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, EPHEMERAL_TYPE_URL_ENTRY, EphemeralUrlEntry);
#line 23 "../src/Widgets/UrlEntry.vala"
	switch (property_id) {
#line 23 "../src/Widgets/UrlEntry.vala"
		case EPHEMERAL_URL_ENTRY_WEB_VIEW_PROPERTY:
#line 23 "../src/Widgets/UrlEntry.vala"
		g_value_set_object (value, ephemeral_url_entry_get_web_view (self));
#line 23 "../src/Widgets/UrlEntry.vala"
		break;
#line 3207 "UrlEntry.c"
		default:
#line 23 "../src/Widgets/UrlEntry.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 23 "../src/Widgets/UrlEntry.vala"
		break;
#line 3213 "UrlEntry.c"
	}
}

static void
_vala_ephemeral_url_entry_set_property (GObject * object,
                                        guint property_id,
                                        const GValue * value,
                                        GParamSpec * pspec)
{
	EphemeralUrlEntry * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, EPHEMERAL_TYPE_URL_ENTRY, EphemeralUrlEntry);
#line 23 "../src/Widgets/UrlEntry.vala"
	switch (property_id) {
#line 23 "../src/Widgets/UrlEntry.vala"
		case EPHEMERAL_URL_ENTRY_WEB_VIEW_PROPERTY:
#line 23 "../src/Widgets/UrlEntry.vala"
		ephemeral_url_entry_set_web_view (self, g_value_get_object (value));
#line 23 "../src/Widgets/UrlEntry.vala"
		break;
#line 3233 "UrlEntry.c"
		default:
#line 23 "../src/Widgets/UrlEntry.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 23 "../src/Widgets/UrlEntry.vala"
		break;
#line 3239 "UrlEntry.c"
	}
}

static void
_vala_array_destroy (gpointer array,
                     gint array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}

static void
_vala_array_free (gpointer array,
                  gint array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}

static gint
_vala_array_length (gpointer array)
{
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}

